<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

$paginationpos	= $this->app->config->get('template.pagination_position', 'bottom');
$showfilters 	= $this->app->config->get('template.results_show_filters', 1);
$filterpos		= $this->app->config->get('template.filterposition', 'left');
$filterclass	= $filterpos == 'right' ? ' bz-flex-order-last-large ' : '';
$filterhtml		= '';
if ( $showfilters ) {
	$filterhtml = $filters->render();
}
?>
<div class="bookzo bookzo-page bookzo-results-page">

	<?php if ( $this->app->config->get('general.inlinesearch', 1) ) : ?>
		<?php 
			echo $this->app->widget->get('search')->setParam('layout', 'inline')->render(); 
		?>
	<?php endif; ?>
	
	<div>
	
		<h1>
			<?php echo BText::_('TITLE_SEARCH_RESULTS'); ?>
		</h1>
		
		<?php if ( $filterhtml ) : ?>
		<div class="bz-text-right">
			<a class="bz-toggler bz-show-medium-below" data-bz-toggle="{target:'.th-filter-wrap', cls: 'bz-show-always'}">
				<span class="text-closed"><?php echo BText::_('FILTER_RESULTS'); ?></span>
				<span class="text-open"><?php echo BText::_('HIDE_FILTERS'); ?></span>
			</a>
		</div>
		<?php endif; ?>	
		
		<div class="bz-grid bz-margin-top" bz-grid-margin>
		
			<?php if ( $filterhtml ) : ?>
			<div class="th-filter-wrap bz-width-1-1 bz-width-large-3-10 bz-hide-medium-below <?php echo $filterclass; ?>">
				<?php echo $filterhtml; ?>
			</div>
			<?php endif; ?>
			
			<div class="bz-results bz-width-1-1 <?php echo $showfilters && strlen($filterhtml) ? 'bz-width-large-7-10' : ''; ?>">
				
				<h2 class="bz-h3 bz-margin-bottom">
					<?php echo BText::plural('RESULTS_FOUND', $total); ?>
				</h2>
				
				<?php if ( $paginationpos != 'bottom' ) : ?>
					<?php echo $pagination->getPagesLinks(); ?>
				<?php endif; ?>
				
				<div class="bz-list">
					<?php  $i = 0; foreach ( $objects as $object ) : $i++; ?>
						<div class="th-acco th-acco-<?php echo $object->get('id'); ?> th-acco-teaser" data-id="<?php echo $object->get('id'); ?>">
							<?php echo $this->partial('object.teaser', array('object' => $object)); ?>
						</div>
					<?php endforeach;  ?>
				</div>
				
				<?php if ( $paginationpos != 'top' ) : ?>
					<?php echo $pagination->getPagesLinks(); ?>
				<?php endif; ?>
				
			</div>
			
		</div>
	
	</div>
	
</div>