<?php
/**
 * @package   bookzo
 * @author    Invenda  http://www.invenda.nl
 * @copyright Copyright (C) Invenda
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

/**
 * Base View class
 *
 * @package Framework.Classes
 */
class BzViewConfig extends BView {
	
	public $form;
	
	public function display()
	{		
		$this->form = $this->get('Form');
		
		if (count($errors = $this->get('Errors')))
		{
			echo implode("\n", $errors);
			return false;
		}
		
		// load config language files
		$this->app->language->load('config', 'nl');
		$this->app->language->load('config');
		
		// add custom js
		$this->app->adapter->addScript('assets:js/settings.js');
		
		$tabs		= array();
		$this->buildTabs($tabs);
		
		
		echo $this->renderer->render('config', compact('form', 'tabs'));
	}
	
	protected function buildtabs( &$tabs )
	{
		$groups = $this->form->getGroups(array(), false);

		foreach ( $groups as $name => $group ) 
		{				
			$tab 			= new stdClass();
			$tab->name 		= $name;
			$tab->label 	= $group->label;
			$tab->fieldsets = array();
			
			if ( $name == 'widgets' || $name == 'plugins' ) 
			{
				$childgroups	= $this->form->getGroups(array(), false, $name);
				$fieldsets		= array();
				$tmpfields		= array();
				foreach ( $childgroups as $childname => $childgroup ) {
					$fieldsets 		= array_merge($fieldsets, $this->form->getFieldsets($name.'.'.$childname));			
					$tmpfields		= array_merge($tmpfields, $this->form->getGroup($name.'.'.$childname));
				}
			}
			else {
				$fieldsets 		= $this->form->getFieldsets($name);			
				$tmpfields		= $this->form->getGroup($name);
			}
			
			foreach ( $fieldsets as $fieldset ) 
			{
				if ( isset($fieldset->name) ) 
				{
					$fieldsetfields = $this->form->getFieldSet($fieldset->name);
					$identical		= array();
					
					// compare the two
					foreach ( $tmpfields as $tmpfield ) {
						if ( in_array($tmpfield, $fieldsetfields) ) {
							$identical[] = $tmpfield;
						}
					}
					
					$fieldset->fields = $identical;
					$tab->fieldsets[] = $fieldset;
				}
			}
			
			if ( count($tab->fieldsets) ) {
				$tabs[$name] = $tab;
			}
		}
	}
}