<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

BHtml::_('behavior.tooltip');
?>
<div class="bookzo bookzo-page bookzo-booking">
	<h1>
		<?php echo BText::_('TITLE_BOOK'); ?>
	</h1>
	
	<?php if ( $this->app->config->get('template.book_show_steps', 0) && !$this->app->config->get('book.opc', 0) ) : ?>

		<?php echo $this->partial('book.steps', compact('booking', 'page', 'totalsteps', 'steptitles') ); ?>
	
	<?php endif; ?>
	
	<div class="bz-form">
    
    	<form id="bookForm" method="post" url="<?php echo $url; ?>">
        
            <div class="bz-grid" data-bz-grid-margin>
			
				<div class="th-booking-aside bz-width-1-1 bz-width-medium-4-10 bz-flex-order-last-medium">
				
					<div class="th-booking-contactus bz-panel bz-panel-box bz-panel-box-secondary">
						<h3><?php echo BText::_('BOOKING_CONTACT_TITLE'); ?></h3>
						<p><?php echo BText::_('BOOKING_CONTACT_TEXT'); ?></p>
						<i class="fa fa-info-circle" data-bz-tooltip title="<?php echo BHtml::tooltipText('BOOKING_CONTACT_TIP', $msg, 1); ?>"></i>
					</div>
                
              		<div class="bz-panel bz-object-info">
                	
                    	<?php if ( $object->hasImages() && $this->app->config->get('template.book_show_thumb', 1) ) : ?>
                    
                    		<div class="bz-panel bz-panel-box-secondary">
                            	<div class="bz-thumb bz-stretch bz-hasoverlay">
									<img src="<?php echo $object->image('medium'); ?>" />
                                    <div class="bz-overlay bz-overlay-bottom">
										<?php if ( $this->app->config->get('bookzo.bookpergroup', 0) ) : ?>
											<h3 class="no-spacing"><?php echo $object->get('groupname'); ?></h3>
										<?php else : ?>
											<h3 class="no-spacing"><?php echo $object->get('name'); ?></h3>
										<?php endif; ?>
                                    </div>
                                </div>
                            </div>
                    
							
                
                   		<?php else: ?>
                        
 							<?php if ( $this->app->config->get('bookzo.bookpergroup', 0) ) : ?>
								<h3 class="no-spacing"><?php echo $object->get('groupname'); ?></h3>
							<?php else : ?>
								<h3 class="no-spacing"><?php echo $object->get('name'); ?></h3>
							<?php endif; ?>                      
                        
                        <?php endif; ?>
                        
                    </div>
					
					<div class="th-booking-info bz-panel bz-panel-header bz-panel-box-primary bz-margin-top">
								
						<div id="booking-info">
							<?php echo $this->partial('book.info', array('booking' => $booking)); ?>
						</div>
						<div id="booking-prices">
							<?php echo $this->partial('book.prices', array('booking' => $booking)); ?>
						</div>
						
					</div>
					
					<div class="th-booking-discount-info bz-panel bz-panel-box-primary bz-margin-top">
						<p><?php echo BText::_('BOOKING_MESSAGE_DISCOUNTS'); ?></p>
					</div>
					
                </div>
			
			
                <div class="th-booking-form bz-width-1-1 bz-width-medium-6-10">
				
					<?php if ( count($errors) ) : ?>
						<div id="booking-errors" class="th-error-message booking-errors bz-alert bz-alert-danger">
							<ul>
								<?php foreach ( $errors as $error ) : ?>
									<li>
										<?php if ( $error instanceof Exception ) : ?>
											<?php echo $error->getMessage(); ?>
										<?php else : ?>
											<?php echo $error; ?>
										<?php endif; ?>
									</li>
								<?php endforeach; ?>
							</ul>
						</div>
					<?php endif; ?>

					<div id="booking-form">
					
						<?php echo $this->partial('book.form', array('booking' => $booking, 'form' => $form)); ?>
				
					</div>
					
					<div class="bz-clearfix bz-margin-medium-top">
						<?php if ( $page != 1 ) : ?>
							<a class="bz-button bz-float-left bz-button-primary" data-bz-form-submit="{target: '#bookForm', task: 'book.previousstep'}">
								<?php echo BText::_('BUTTON_PREVIOUS'); ?>
							</a>
						<?php elseif ( $this->app->config->get('template.book_show_cancel', 0) ) : ?>
							<a class="bz-button bz-float-left bz-button-primary" data-bz-form-submit="{target: '#bookForm', task: 'book.cancel'}">
								<?php echo BText::_('BUTTON_CANCEL'); ?>
							</a>					
	                    <?php endif; ?>
						<?php if ( !$finalpage ) : ?>
							<a class="bz-button bz-float-right bz-button-primary" data-bz-form-submit="{target: '#bookForm', task: 'book.nextstep'}">
								<?php echo BText::_('BUTTON_NEXT'); ?>
							</a>
						<?php else : ?>
							<a class="bz-button bz-button-primary bz-float-right" data-bz-form-submit="{target: '#bookForm', task: 'book.nextstep'}">
								<?php echo BText::_('BUTTON_CONFIRM'); ?>
							</a>
						<?php endif; ?>
					</div>
                    
                </div>
				
            </div>
			
			<input type="hidden" name="task" value="" />
        
        </form>
        
    </div>
</div>