<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

/**
 * First define the constant that is used throughout the framework to prevent direct access.
 * define() is used rather than "const" to not error for PHP 5.2 and lower
 */
define('_BOOKZO', 1);

// call the framework
require_once __DIR__ . '/bookzo.php';

// get bookzo and render
$bookzo 	= Bookzo::getInstance();
$bookzo->loadDefaults();
$format		= strtolower($bookzo->input->getWord('format'));

if ( $bookzo->input->getInt('keepalive') == 1 ) {
	return true;
}

// get results or error
try {
	$results 	= $bookzo->ajaxRender();
}
catch ( Exception $e ) 
{
	$results	= $e;
}

// render the output
switch ($format)
{
	// JSONinzed
	default: 
	case 'json' :
		if ( $results !== false ) {
			echo new BResponseJson($results, null, false, true);
		}

		break;

	// Human-readable format
	case 'debug' :
		echo '<pre>' . print_r($results, true) . '</pre>';

		break;
}