/*! BZkit 2.22.0 | http://www.getbzkit.com | (c) 2014 YOOtheme | MIT License */
(function(addon) {

    var component;

    if (window.BZkit) {
        component = addon(BZkit);
    }

    if (typeof define == "function" && define.amd) {
        define("bzkit-form-select", ["bzkit"], function(){
            return component || addon(BZkit);
        });
    }

})(function(BZ){

    "use strict";

    BZ.component('formSelect', {

        defaults: {
            'target': '>span:first',
            'activeClass': 'bz-active'
        },

        boot: function() {
            // init code
            BZ.ready(function(context) {

                BZ.$("[data-bz-form-select]", context).each(function(){

                    var ele = BZ.$(this);

                    if (!ele.data("formSelect")) {
                        BZ.formSelect(ele, BZ.Utils.options(ele.attr("data-bz-form-select")));
                    }
                });
            });
        },

        init: function() {
            var $this = this;

            this.target  = this.find(this.options.target);
            this.select  = this.find('select');

            // init + on change event
            this.select.on("change", (function(){

                var select = $this.select[0], fn = function(){

                    try {
                        $this.target.text(select.options[select.selectedIndex].text);
                    } catch(e) {}

                    $this.element[$this.select.val() ? 'addClass':'removeClass']($this.options.activeClass);

                    return fn;
                };

                return fn();
            })());

            this.element.data("formSelect", this);
        }
    });

    return BZ.formSelect;
});
