<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

/**
 * Bz helper class.
 *
 * This class acts as parent for all helper classes
 * It adds default functions like a magic method call 
 * for all child classes
 *
 * @subpackage 	framework.classes
 * @since 		1.0.0
 */
class BzControllerBook extends BController 
{
	public function update()
	{
		## NOTE - Work with this do more checks and raise errors if needed
		$d = $this->app->adapter->sessionGet('bookzo.book.data');
		$q = $this->app->adapter->sessionGet('bookzo.book.query');
		
		$input 		= $this->app->input;
		$data  		= $input->get('book', '', 'array');
		$caller		= $input->get('caller');
		
		// merge data's and reinject to session
		$newdata = $this->app->registry->create($data);
		$olddata = $this->app->registry->create( $this->app->adapter->sessionGet('bookzo.book.data') );
		
		// if caller is a bookable items we need to take a better look at merging
		if ( strpos($caller, 'bookitems') !== false ) {
			$olddata->set('items', null);
		}
		
		
		$olddata->merge($newdata, true);
		
		
		
		$this->app->adapter->sessionSet('bookzo.book.data', $olddata->toString() );
		
		// now get the booking and display the partials needed
		$model		= $this->getModel('Book');
		$booking  	= $model->getBooking();
		$object		= $model->getObject();
		
		if ( !$booking ) {
			throw new BControllerException('Booking could not be loaded');
		}
		
		$form 				= $model->getForm();
		$return 			= array();
		$return['info'] 	= $this->app->renderer->partial()->render('book.info', compact('booking', 'object'));		
		$return['prices'] 	= $this->app->renderer->partial()->render('book.prices', compact('booking'));	
		$return['form'] 	= $this->app->renderer->partial()->render('book.form', compact('booking', 'form'));
		
		return $return;
	}
}