<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

/**
 * Bz helper class.
 *
 * This class acts as parent for all helper classes
 * It adds default functions like a magic method call 
 * for all child classes
 *
 * @subpackage 	framework.classes
 * @since 		1.0.0
 */
class BzControllerConfig extends BController {
	
	public function save()
	{
		$config = $this->app->input->get('bookzo', array(), 'array');
		
		$cfg 	= new BRegistry();
		$cfg->loadArray($config);
		
		$file = BOOKZO_ROOT . '/config/bookzo.config';
		
		if ($this->app->filesystem->file->exists($file) && !is_writable($file)) {
			throw new Exception(sprintf('The config file is not writable (%s)', $file));
		}

		if (!$this->app->filesystem->file->exists($file) && !is_writable(dirname($file))) {
			throw new Exception(sprintf('Could not create config file (%s)', $file));
		}
		
		
		$config_string = (string) $cfg;
		
		if ( $this->app->filesystem->file->write($file, $config_string) )
		{
			return BText::_('MSG_CONFIG_SAVED');
		}
		else {
			throw new RuntimeException('MSG_CONFIG_NOT_SAVED');
		}
	}
	
	public function clearCache()
	{
		$this->app->cache->clear();
		
		return BText::_('MSG_CACHE_CLEARED');
	}
}