<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

/**
 * Bz helper class.
 *
 * This class acts as parent for all helper classes
 * It adds default functions like a magic method call 
 * for all child classes
 *
 * @subpackage 	framework.classes
 * @since 		1.0.0
 */
class BzControllerDiscounts extends BController {
		
	public function filter()
	{
		$reset	 = $this->app->input->get('reset', 0);
		if ( $reset ) {
			$this->app->adapter->sessionClear('bookzo.discounts.filters');
		}
		
		$filters = $this->app->input->get('filters', array(), 'array');
		
		// add them to the stack
		$this->app->adapter->sessionSet('bookzo.discounts.filters', $filters);
		
		$test = $this->app->route->route('layout=discounts');	
		
		// redirect to current page				
		return $this->app->adapter->redirect(
					$this->app->route->route('layout=discounts', false)
				);
	}
}