<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

/**
 * Bz helper class.
 *
 * This class acts as parent for all helper classes
 * It adds default functions like a magic method call 
 * for all child classes
 *
 * @subpackage 	framework.classes
 * @since 		1.0.0
 */
class BzControllerFavourites extends BController {

	/* 
	 * This method should take care of all functions
	 * We just map the task to the widget if set
	 * 
	 * @param 	string 	$task The task to execute
	 * @return 	mixed	
	 * @since 	1.0.0
	 */
	public function process()
	{
		// get stuff needed
		$id		 	= $this->app->input->getInt('id');
		$model 	 	= $this->getModel();
		
		// process
		$return 	= new stdClass();
		$success  	= $model->process($id);
		
		$return->ids	= $model->getIds();
		$return->count	= $model->getTotal();
		$return->title	= BText::plural('ACCOMODATIONS_IN_GROUP', $return->count);
		
		if ( !$success ) {
			throw new BControllerException( 'Foutje' );
		}
		
		return $return;
	}
}