<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

/**
 * Bz helper class.
 *
 * This class acts as parent for all helper classes
 * It adds default functions like a magic method call 
 * for all child classes
 *
 * @subpackage 	framework.classes
 * @since 		1.0.0
 */
class BzControllerObject extends BController {
	
	public function search()
	{
		$group 	= $this->app->input->getInt('group');
		$oid 	= $this->app->input->getInt('object');
		
		$this->app->adapter->sessionSet('bookzo.pagetype', 'object');
		$this->app->adapter->sessionSet('bookzo.search.options', array('group' => $group, 'object' => $oid ));
		
		## NOTE - We do not need to throw an error
		if ( !$oid || !$object = $this->app->api->getObjects($oid) ) {
			throw new BControllerException('Object not found', 404);
		}
		
		// redirect to normal page		
		return $this->app->adapter->redirect(
					$this->app->route->route($object->getLink(false), false)
				);
	}
}