<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

/**
 * Bz helper class.
 *
 * This class acts as parent for all helper classes
 * It adds default functions like a magic method call 
 * for all child classes
 *
 * @subpackage 	framework.classes
 * @since 		1.0.0
 */
class BzControllerWidgets extends BController {

	/* 
	 * This method should take care of all functions
	 * We just map the task to the widget if set
	 * 
	 * @param 	string 	$task The task to execute
	 * @return 	mixed	
	 * @since 	1.0.0
	 */
	public function execute($task)
	{
		// get the widget to call
		$name	 = $this->app->input->getWord('widget');
		$task	 = 'ajax'.ucfirst($task);
		
		if ( empty($name) || !($widget = $this->app->widget->get($name)) ) 
		{
			throw new BControllerException('widget '. $name . ' could not be found');
		}
		
		// can we call the task method
		if ( !method_exists($widget, $task) ) 
		{
			throw new BControllerException('task ' . $task . ' does not exists');
		}
		
		// just return the widgets output
		return call_user_func_array(array($widget, $task), array());
	}
}