<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Here we add global definitions
 * We can use them throughout the framework
 *
 * @subpackage 	includes
 * @since 		1.0.0
 */

// Global definitions
$parts = explode(DIRECTORY_SEPARATOR, BOOKZO_BASE);

// Defines.
define('_BZDEFINES', 			1);
define('BOOKZO_ROOT',         	implode(DIRECTORY_SEPARATOR, $parts));
define('BOOKZO_FRAMEWORK',    	BOOKZO_ROOT . '/libraries');
define('BOOKZO_CACHE',         	BOOKZO_ROOT . '/cache');
define('BOOKZO_LOG',         	BOOKZO_ROOT . '/logs');


## NOTE - What if in different subdir
define('BOOKZO_SITE_BASE', 		(dirname(BOOKZO_ROOT)));

// Detect the native operating system type.
$os = strtoupper(substr(PHP_OS, 0, 3));

if (!defined('IS_WIN')) {
	define('IS_WIN', ($os === 'WIN') ? true : false);
}

if (!defined('IS_UNIX')) {
	define('IS_UNIX', (IS_WIN === false) ? true : false);
}


## NOTE - below is a quick way to determin url, We might need to look into it

// Determine url
$protocol = isset($_SERVER['HTTPS']) 
		  ? ($_SERVER['HTTPS'] && $_SERVER['HTTPS'] != "off") ? "https" : "http"
		  : 'http';

//$subdir	  = str_replace($_SERVER['DOCUMENT_ROOT'], '', BOOKZO_SITE_BASE);

// get subdir by checking each folder if in script_url. we stop at not found.
$subparts  	 = array_values(array_filter(array_reverse(array_slice($parts, 0, count($parts)-1))));
// $scriptparts = array_values(array_filter(array_reverse(array_filter(explode('/', $_SERVER['SCRIPT_NAME'])), 'isScriptfile')));
$scriptparts = array_values(array_filter(array_filter(explode('/', $_SERVER['SCRIPT_NAME']), 'isScriptfile')));
$subdirs	 = array();

foreach ( $subparts as $i => $subpart ) {
	if ( isset($scriptparts[$i]) && $scriptparts[$i] == $subpart ) {
		$subdirs[] = $subpart;
	}
	else {
		break;
	}
}

$subdir	= count($subdirs) ? '/' . implode('/', array_reverse($subdirs)) : '';

// Define url
define('BOOKZO_URL',         	$protocol . "://" . $_SERVER['HTTP_HOST'] . $subdir . '/bookzolayer/' );
define('BOOKZO_SITE_URL',      	$protocol . "://" . $_SERVER['HTTP_HOST'] . $subdir . '/' );

function getCurrentUrl($full = true) {
    if (isset($_SERVER['REQUEST_URI'])) {
        $parse = parse_url(
            (isset($_SERVER['HTTPS']) && strcasecmp($_SERVER['HTTPS'], 'off') ? 'https://' : 'http://') .
            (isset($_SERVER['HTTP_HOST']) ? $_SERVER['HTTP_HOST'] : (isset($_SERVER['SERVER_NAME']) ? $_SERVER['SERVER_NAME'] : '')) . (($full) ? $_SERVER['REQUEST_URI'] : null)
        );
        $parse['port'] = $_SERVER["SERVER_PORT"]; // Setup protocol for sure (80 is default)
        return http_build_url('', $parse);
    }
}

function isScriptfile($part)
{
	return !(strpos($part, '.') !== false);
}