<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Here we kickoff the framework Bz
 *
 * @subpackage 	includes
 * @since 		1.0.0
 */
if (!class_exists('Bookzo')) {

	// require the loader
	if ( !class_exists('BLoader') ) {
		require_once BOOKZO_FRAMEWORK.'/loader.php';	
	}
	
	if ( !class_exists('BPathHelper') ) {
		require_once BOOKZO_FRAMEWORK.'/path.php';	
	}
	
	// Make sure that the Joomla Platform has been successfully loaded.
	if ( !class_exists('BLoader') || !class_exists('BPathHelper') )
	{
		throw new Exception('Bookzo Platform not loaded.');
	}
	
	// define that platform is loaded
	define('BOOKZO_PLATFORM', 1);
	
	// start building platform by registering folders
	$path = BPathHelper::getInstance('bookzo');
	$path->register(BOOKZO_FRAMEWORK . '/app', 		'app');
	$path->register(BOOKZO_FRAMEWORK . '/bookzo',	'bookzo');
	$path->register(BOOKZO_FRAMEWORK . '/helpers', 	'helpers');	
	
	// Setup the autoloader.
	BLoader::setup($path);
	
	## NOTE - register classes here that don't follow naming convention
	BLoader::register('Bookzo', 	BOOKZO_FRAMEWORK.'/app.php');
	BLoader::register('BText', 		$path->path('app:language/text.php'));
	BLoader::register('BFile', 		$path->path('app:filesystem/file.php'));
	BLoader::register('BFolder', 	$path->path('app:filesystem/folder.php'));
	BLoader::register('BPath', 		$path->path('app:filesystem/path.php'));
	
	// load the session
	$bookzo = Bookzo::getInstance();
	
	if ( $bookzo->adapter->sessionNew() ) {
		$registry = new BRegistry();
		$bookzo->adapter->sessionSet('bookzo.userstate', $registry->toString() );
	}
	
	
	/*
	// load main classes
	BzLoader::register('Bookzo',		BOOKZO_FRAMEWORK.'/classes/app.php');
	BzLoader::register('BObject', 		BOOKZO_FRAMEWORK.'/classes/class.php');
	BzLoader::register('BzHelper', 		BOOKZO_FRAMEWORK.'/classes/helper.php');
	BzLoader::register('BzHelperPath', 	BOOKZO_FRAMEWORK.'/helpers/path.php');
	BzLoader::register('BController', 	BOOKZO_FRAMEWORK.'/classes/application/controller.php');
	BzLoader::register('BModel', 		BOOKZO_FRAMEWORK.'/classes/application/model.php');
	BzLoader::register('BzView', 		BOOKZO_FRAMEWORK.'/classes/application/view.php');
	*/
}