<?php
/**
 * @package     Bookzo.Platform
 * @subpackage  Form
 *
 * @copyright   Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE
 */

defined('_BOOKZO') or die;

/**
 * Form Field class for the Joomla Platform.
 * Supports a generic list of options.
 *
 * @package     Bookzo.Platform
 * @subpackage  Form
 * @since       11.1
 */
abstract class BFormFieldRowsText extends BFormFieldText
{
	/**
	 * The colors.
	 *
	 * @var    mixed
	 * @since  3.2
	 */
	protected $inlinelabel = false;
	
	/**
	 * Method to get the field input markup.
	 *
	 * @return  string  The field input markup.
	 *
	 * @since   11.1
	 */
	protected function getInput()
	{		
	
	echo 'wat';
	
		// Translate placeholder text
		$hint = $this->translateHint ? BText::_($this->hint) : $this->hint;

		// Initialize some field attributes.
		$size       = !empty($this->size) 		? ' size="' . $this->size . '"' 			: '';
		$maxLength  = !empty($this->maxLength) 	? ' maxlength="' . $this->maxLength . '"' 	: '';
		$class      = !empty($this->class) 		? ' class="' . $this->class . '"' 			: '';
		$pattern    = !empty($this->pattern) 	? ' pattern="' . $this->pattern . '"' 		: '';
		$required   = $this->required 			? ' required aria-required="true"' 			: '';
		$hint       = $hint 					? ' placeholder="' . $hint . '"' 			: '';		
		$readonly	= $this->readonly 			? ' readonly' : '';
		$disabled   = $this->disabled 			? ' disabled' : '';

		// Initialize JavaScript field attributes.
		$onchange 	= !empty($this->onchange) ? ' onchange="' . $this->onchange . '"' : '';

	
		$html	 = array();			
		$values  = (array) $this->value;
		$keys 	 = $this->getKeys();
		
		foreach ( $keys as $key )
		{
			if ( isset($key->value) ) 
			{
				$value = isset($values[$key->value]) ? $values[$key->value] : null;
				$label = isset($key->text) && ( (string) $this->inlinelabel == '1' || (string) $this->inlinelabel == 'true' ) 
					   ? $key->text
					   : false;
					   

				$html[] = '<div class="bz-grid">';
				if ( $label ) {
					$html[] = '<div class="bz-width-1-6">'.$label.'</div>';
				}
				$html[] = '<div class="bz-width-'. ($label ? '5-6' : '6-6') . '">';
				$html[] = '<input type="text" name="' . $this->name . '['.$key->value.']" id="' . $this->id . '-' . $key->value . '" value="'
						. htmlspecialchars($value, ENT_COMPAT, 'UTF-8') . '"' . $class . $size . $disabled . $readonly 
						. $hint . $onchange . $maxLength . $required . $pattern . ' />';
				$html[] = '</div>';
				$html[] = '</div>';
			}				
		}

		return implode($html);
	}
	
	abstract protected function getKeys();
	
	/**
	 * Method to get certain otherwise inaccessible properties from the form field object.
	 *
	 * @param   string  $name  The property name for which to the the value.
	 *
	 * @return  mixed  The property value or null.
	 *
	 * @since   3.2
	 */
	public function __get($name)
	{
		switch ($name)
		{
			case 'inlinelabel':
				return (bool) $this->$name;
		}

		return parent::__get($name);
	}

	/**
	 * Method to set certain otherwise inaccessible properties of the form field object.
	 *
	 * @param   string  $name   The property name for which to the the value.
	 * @param   mixed   $value  The value of the property.
	 *
	 * @return  void
	 *
	 * @since   3.2
	 */
	public function __set($name, $value)
	{
		switch ($name)
		{
			case 'inlinelabel':
				$this->$name = (bool) $value;
				break;

			default:
				parent::__set($name, $value);
		}
	}
	
	/**
	 * Method to attach a JForm object to the field.
	 *
	 * @param   SimpleXMLElement  $element  The SimpleXMLElement object representing the <field /> tag for the form field object.
	 * @param   mixed             $value    The form field value to validate.
	 * @param   string            $group    The field name group control value. This acts as as an array container for the field.
	 *                                      For example if the field has name="foo" and the group value is set to "bar" then the
	 *                                      full field name would end up being "bar[foo]".
	 *
	 * @return  boolean  True on success.
	 *
	 * @see     BFormField::setup()
	 * @since   3.2
	 */
	public function setup(SimpleXMLElement $element, $value, $group = null)
	{
		$return = parent::setup($element, $value, $group);

		if ($return)
		{
			$inlinelabel = (bool) $this->element['inlinelabel'];

			$this->inlinelabel  = ($inlinelabel == 'true' || $inlinelabel == 'inlinelabel' || $inlinelabel == '1');
		}

		return $return;
	}
}
