<?php
/**
 * @package     Bookzo.Platform
 * @subpackage  Object
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE
 */

defined('_BOOKZO') or die();

/**
 * Joomla Platform Object Class
 *
 * This class allows for simple but smart objects with get and set methods
 * and an internal error handler.
 *
 * @since       11.1
 * @deprecated  4.0
 */
class BRendererWidget extends BRenderer
{
	public function __construct( $app, $name, $basepaths = array() ) 
	{
		parent::__construct($app, $basepaths);
		
		$paths = $this->app->path->getPaths('templates');
		$paths = array_reverse($paths);
		
		foreach ( $paths as $path ) {
			$this->addPath( $path . '/widgets/'.$name );
		}
		
		$paths = $this->app->path->getPaths('widgets');
		$paths = array_reverse($paths);
		
		foreach ( $paths as $path ) {
			$this->addPath( $path . '/' . $name . '/template' );
		}
	}	
}
