<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

/**
 * Bz helper class.
 *
 * This class acts as parent for all helper classes
 * It adds default functions like a magic method call 
 * for all child classes
 *
 * @subpackage 	framework.classes
 * @since 		1.0.0
 */
class BTargetpayDirectbanking extends BTargetPay {
	
	/**
	 * Method to load additional params for the startpayment method specific to ideal
	 *
	 * @param   array	$params		a list of params set
	 * @return  void
	 *
	 * @since   1.1
	 */
	protected function getPaymentParams( &$params, $test = 0 )
	{
		$params['userip'] = $this->get('ip');
		
		return $params;
	}
	
	/**
	 * Method to load additional params for the startpayment method specific to ideal
	 *
	 * @param   array	$params		a list of params set
	 * @return  void
	 *
	 * @since   1.1
	 */
	protected function getValidationParams( &$params, $test = 0 )
	{
		$params['test'] = $test;
		
		return $params;
	}
	
	
	/**
	 * Method to load the paymenturl for this child method
	 *
	 * @param   void
	 * @return  url
	 *
	 * @since   1.1
	 */
	protected function getPaymentUrl()
	{
		return 'https://www.targetpay.com/directebanking/start/';
	}
	
	/**
	 * Method to load the paymenturl for this child method
	 *
	 * @param   void
	 * @return  url
	 *
	 * @since   1.1
	 */
	protected function getValidationUrl()
	{
		return 'https://www.targetpay.com/directebanking/check/';
	}

}