<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

/**
 * Bz helper class.
 *
 * This class acts as parent for all helper classes
 * It adds default functions like a magic method call 
 * for all child classes
 *
 * @subpackage 	framework.classes
 * @since 		1.0.0
 */
class BTargetpayOverboeken extends BTargetPay {

	/**
	 * Method to load additional params for the startpayment method specific to ideal
	 *
	 * @param   array	$params		a list of params set
	 * @return  void
	 *
	 * @since   1.1
	 */
	protected function getPaymentParams( &$params, $test = 0 )
	{
		return $params;
	}
	
	/**
	 * Method to load additional params for the startpayment method specific to ideal
	 *
	 * @param   array	$params		a list of params set
	 * @return  void
	 *
	 * @since   1.1
	 */
	protected function getValidationParams( &$params, $test = 0 )
	{
		return $params;
	}
	
	
	/**
	 * Method to load the paymenturl for this child method
	 *
	 * @param   void
	 * @return  url
	 *
	 * @since   1.1
	 */
	protected function getPaymentUrl()
	{
		return '';
	}
	
	/**
	 * Method to load the paymenturl for this child method
	 *
	 * @param   void
	 * @return  url
	 *
	 * @since   1.1
	 */
	protected function getValidationUrl()
	{
		return '';
	}
	
	/**
	 * Method to validate the payment at targetpay
	 *
	 * @param   string	$trxid  	The trxid of the payment
	 * @param   int		$once  		Should payment be validated just once
	 * @param   int		$test  		Is it a testpayment
	 * @return  boolean				true if succesfull
	 *
	 * @since   1.1
	 * @throws  Exception if amount isn't correct
	 */
	public function validatePayment ( $trxid, $once = 1, $test = 0 ) {
	
		return false;
	}
	
	/**
	 * Method to start a payment at targetpay
	 *
	 * @param   string	$trxid  	The trxid of the payment
	 * @param   int		$once  		Should payment be validated just once
	 * @param   int		$test  		Is it a testpayment
	 * @return  boolean				true if succesfull
	 *
	 * @since   1.1
	 * @throws  Exception if amount isn't correct
	 */
	public function startPayment($test = 0 ) 
	{
		return false;	
	}
}