<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

/**
 * Bz data class.
 *
 * This class acts as parent for all data classes
 * It adds default functions like a magic method call 
 * for all child classes
 *
 * @subpackage 	framework.classes
 * @since 		1.0.0
 */
class BookzoFeaturesFeature extends BookzoResponseData {
	
	protected $name;
	
	protected $options;
	
	protected $groupname;
	
	/**
	 * Bind data to object.
	 * Override for parent class so we can set our own data
	 *
	 * @param   object  $item  The data object
	 * @return  void
	 * @access	proteced
	 * @since   1.0.0
	 */
	protected function bind($item)
	{		
		// set general properties
		$this->setProperties($item);
				
		## NOTE only for now
		$values = isset($item->possiblevalues) ? $item->possiblevalues : array();
		$this->set('options', $values);
				
		$tmp    = array_map('strtolower', $values);
        $count  = count($tmp);
	}
	
	# NOTE - We might want to add something here to not show if option is single
	public function getValue($value)
	{
		$options = $this->get('options', array());
		$return = '';
		
		if ( in_array($value, $options) ) {
			$return = $value;
		}
		
		if ( $this->get('isboolean') ) {
			$value	= empty($value) ? 'false' : 'true';
			$return = BText::_('FILTER_OPTION_'.$return);
		}
		
		return $return;
	}
	
}