<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Bz data helper class.
 *
 * Helper for managing and retrieving paths
 * We can register paths.
 * When loading files we search paths top to bottom
 *
 * @subpackage 	framework.helpers
 * @since 		1.0.0
 */
class BzHelperConfig extends BHelper {

	public $config = null;
	
	public function __construct($app) 
	{
		parent::__construct($app);
		
		if ( is_null($this->config) ) 
		{
			// setup the config
			$this->config = new BRegistry();
			
			// try loading the correct file
			if ($this->app->filesystem->file->exists(BOOKZO_ROOT . '/config/bookzo.config')) 
			{
				$this->config->loadFile(BOOKZO_ROOT . '/config/bookzo.config');
			}
		}
	}
	
	public function add( $new, $prefix = '')
	{
		$this->config->set($prefix, $new);
	}
		
	/**
	 * Map all function to the config
	 */
	public function __call($method, $args) {
		return $this->_call(array($this->config, $method), $args);
	}
	
	public function __toString()
	{
		return (string) $this->config;
	}
}