<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Bz data helper class.
 *
 * Helper for managing and retrieving paths
 * We can register paths.
 * When loading files we search paths top to bottom
 *
 * @subpackage 	framework.helpers
 * @since 		1.0.0
 */
class BzHelperDates extends BHelper {

	/**
	 * Get a data class object
	 * 
	 * @param 	string $name The name of the data class to retrieve 
	 * @return 	AppTable The table object
	 * @since 	1.0.0
	 */
	public function getMonthList($nr) 
	{
		// get current month
		$current = date('Y-m-d');
		$list    = array();
		
		for ( $i = 0; $i < $nr; $i++ ) 
		{
			$list[] = date('Y-m', strtotime($current . ' + ' . $i . ' months')); 
		}
		
		return $list;
	}
}