<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Bz data helper class.
 *
 * Helper for managing and retrieving paths
 * We can register paths.
 * When loading files we search paths top to bottom
 *
 * @subpackage 	framework.helpers
 * @since 		1.0.0
 */
class BzHelperFile extends BHelper {

	/**
	 * Last modification date for the file. Used for prevent the browser to use the cached version of an older CSS file
	 *
	 * @var string
	 * @since 1.0.0
	 */
	private $moddates = array();
	
	/**
	 * Get the get parameter to append using the version of a file.
	 *
	 * If no version is found, check the last time the file was edited and use that date as the version
	 *
	 * @param string $version The version to append (default: last modification date)
	 *
	 * @return string The get parameter to append
	 */
	public function getVersion($file, $version = null) {
	
		if ($version === null) {
			if (!isset($this->moddates[$file])) {
				$this->moddates[$file] = filemtime($file);
			}

			return '?ver='.$this->moddates[$file];
		}

		return empty($version) ? '' : '?ver='.$version;
	}
}