<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Bz data helper class.
 *
 * Helper for managing and retrieving paths
 * We can register paths.
 * When loading files we search paths top to bottom
 *
 * @subpackage 	framework.helpers
 * @since 		1.0.0
 */
class BzHelperFilesystem extends BHelper {
	
	/**
	 * Get a data class object
	 * 
	 * @param 	string $name The name of the data class to retrieve 
	 * @return 	AppTable The table object
	 * @since 	1.0.0
	 */
	public function get($name) 
	{
		
		// get classname and load it
		$class = 'B'.ucfirst($name);

		// add data class to stack, if not exists
		if (!isset($this->cache[$name])) 
		{
			if ( class_exists($class) ) {
				$this->cache[$name] = new $class($this->app);
			}
			else {
				throw new BRuntimeExceptio('Filesystem '. $name . ' can not be found');
			}
		}

		return $this->cache[$name];
	}
	
	/**
	 * Magic method to get a data class using the name
	 *
	 * @param string $name The name of data class 
	 * @return BzData The table object 
	 * @since 1.0.0
	 */
	public function __get($name) 
	{
		return $this->get($name);
	}
}