<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Bz data helper class.
 *
 * Helper for managing and retrieving paths
 * We can register paths.
 * When loading files we search paths top to bottom
 *
 * @subpackage 	framework.helpers
 * @since 		1.0.0
 */
class BzHelperGrid extends BHelper {
	
	public function calculate( $width ) {
		
		// we need the delimiter
		if ( !strpos($width, '-') > 0 ) {
			return '1-1';
		}
		
		// get percentage and grid
		list($perc, $grid) = explode('-', $width);
		
		if ( !$grid || $grid > 10 || $grid - $perc <= 0 ) {
			return '1-1';
		}
		
		return ( $grid - $perc ) . '-' . $grid;		
	}
}