<?php
/**
 * @package   bookzo
 * @author    Invenda  http://www.invenda.nl
 * @copyright Copyright (C) Invenda
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

/**
 * Helper do deal with request variables. Wrapper for JRequest
 *
 * @package Framework.Helpers
 */
class BzHelperPeriods extends BHelper {

	/**
	 * Get a list of bookable periods
	 *
	 * @access	public
	 * @since   1.0.0
	 *
	 * DEPRECATED since 1.2.0 use $bookzo->api->getPrices() instead
	 */
	public function getBookable($start, $end, $group = 0, $persons = 0, $pets = 0)
	{
		// put query into an array
		$query = array(
					'start' => $start, 
					'end' => $end, 
					'group' => $group, 
					'persons' => $persons, 
					'pets' => $pets
				);
					
		// make unique string for caching
		$unique	  = base64_encode(json_encode($query));
		
		// is it a new search
		if ( !isset($this->cache['bookables'][$unique] ) ) 
		{
			$this->cache['bookables'][$unique] = new BookzoPeriodsBookable($query);
		}
		
		// return
		return $this->cache['bookables'][$unique];
	}
	
	/**
	 * Get a list of free periods
	 *
	 * @access	public
	 * @since   1.0.0
	 *
	 * DEPRECATED since 1.2.0 use $bookzo->api->getPrices() instead
	 */
	public function getFree($from, $until, $objectid = 0, $group = 0, $persons = 0, $pets = 0)
	{
		return $this->app->api->getPrices( compact('from','until','objectid','group','persons','pets') );
	}
	
	/**
	 * Get a list of periods with discounts
	 *
	 * @access	public
	 * @since   1.0.0
	 *
	 * DEPRECATED since 1.2.0 use $bookzo->api->getPrices() instead
	 */
	public function getDiscounts($actions, $from = null, $until = null)
	{
		return $this->app->api->getPrices( compact('from','until','actions') );
	}
	
	/**
	 * Get a list of periods with discounts
	 *
	 * @access	public
	 * @since   1.0.0
	 *
	 * DEPRECATED since 1.2.0 
	 */
	public function dates($start, $end, $group = 0, $persons = 0, $pets = 0)
	{
		return array();
	}
}