<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Bz data helper class.
 *
 * Helper for managing and retrieving paths
 * We can register paths.
 * When loading files we search paths top to bottom
 *
 * @subpackage 	framework.helpers
 * @since 		1.0.0
 */
class BzHelperPlugin extends BHelper {
	
	static public $loaded = array();
	
	public function load($name = null) 
	{
		if ( $name ) {
			if ( !isset(self::$loaded[$name]) ) {
				self::$loaded[$name] = BPlugin::load($name);
			}
		}
		else {
			$list = $this->getList();
			
			foreach ( $list as $plugin ) {
				$this->load($plugin);
			}
		}
			
		return $this;
	}
	
	public function get($name)
	{
		$this->load($name);
		
		return self::$loaded[$name];
	}
	
	public function __get($name)
	{
		return $this->get($name);
	}

	public function getList($exclude = array()) 
	{
		$plugins 	 = $this->app->path->dirs('plugins:');
		$return 	 = array();
		
		foreach ( $plugins as $plugin ) {
			if ( !in_array($plugin, $exclude) ) {
				$return[] = $plugin;
			}
		}
		
		return $return;
	}
}