<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Bz data helper class.
 *
 * Helper for managing and retrieving paths
 * We can register paths.
 * When loading files we search paths top to bottom
 *
 * @subpackage 	framework.helpers
 * @since 		1.0.0
 */
class BzHelperTimer extends BHelper {
	
	/**
	 * Start the time
	 *
	 * @access  public
	 * @param	
	 * @since 	1.0
	 */	
	public function start()
	{
		if(!$start=$this->getMicrotime())
		{
			throw new Exception('Error obtaining start time!');
		}
		
		return $start;
	}

	/**
	 * Stop the time
	 *
	 * @access  public
	 * @param
	 * @return 	time elapsed	
	 * @since 	1.0
	 */	
	public function stop($start)
	{
		if(!$end=$this->getMicrotime())
		{
			throw new Exception('Error obtaining stop time!');
		}
		
		return $end - $start;
	}
	
	/**
	 * Gets the elapsed time
	 *
	 * @access  private
	 * @param
	 * @return 	time elapsed	
	 * @since 	1.0
	 */	
	protected function getMicrotime()
	{
		return microtime(TRUE);
	}
}