<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

/**
 * Bz helper class.
 *
 * This class acts as parent for all helper classes
 * It adds default functions like a magic method call 
 * for all child classes
 *
 * @subpackage 	framework.classes
 * @since 		1.0.0
 */
class BzHelperXml extends BHelper {

	public function getFile($file)
	{
		$return = false;
		
		if ( $this->app->filesystem->file->exists($file) ) 
		{
			if ( $content = $this->app->filesystem->file->read($file) ) 
			{			
				$return	= new BXml($content);
			}
		}
		
		return $return;
	}
	
	public function fromString($string)
	{
		$return = false;
		
		if ( strpos($string, '<?xml') !== false ) 
		{
			$return	= new BXml($string);
		}
		
		return $return;
	}
	
	public function create($name, $attr = array())
	{
		$return = new BXml('<'.$name.' />');
			
		foreach ( $attr as $a => $v ) {
			$return->setAttribute($a, $v);
		}
		
		return $return;
	}
}