<?php
/**
 * @package     Bookzo.Platform
 * @subpackage  Form
 *
 * @copyright   Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE
 */

defined('_BOOKZO') or die;

/**
 * Form Field class for the Joomla Platform.
 * Single check box field.
 * This is a boolean field with null for false and the specified option for true
 *
 * @package     Bookzo.Platform
 * @subpackage  Form
 * @link        http://www.w3.org/TR/html-markup/input.checkbox.html#input.checkbox
 * @see         BFormFieldCheckboxes
 * @since       11.1
 */
class BFormFieldBookzopayMethod extends BFormFieldSelect
{
	protected function getOptions()
	{
		$options = array();

		try {
			
			// render the widget
			$app 		= Bookzo::getInstance();
			$methods	= $app->api->getPaymentMethods();
			$options	= array();
			
			foreach ( $methods as $method )
			{
				$options[] = BHtml::_('select.option', $method->get('id'), $method->get('description'));
			}
		}
		catch (RuntimeException $e) {
			$options = array();
		}

		// Merge any additional options in the XML definition.
		$options = array_merge(parent::getOptions(), $options);

		return $options;
	}
}
