<?php
/**
 * @package   bookzo
 * @author    Invenda  http://www.invenda.nl
 * @copyright Copyright (C) Invenda
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

/**
 * Base View class
 *
 * @package Framework.Classes
 */
class BzModelObject extends BModel {
	
	public function getObject()
	{
		if ( !isset($this->cache['object']) ) 
		{
			$found		= $this->getFoundObjects();
			$foundids	= array_keys($found);			
			$id 		= $this->state->get('id');
		
			if ( $object = $this->app->api->getObjects($id) )
			{
				if ( in_array($id, $foundids) ) {
					$object->addPrice($found[$id]->price);
					$object->set('searchresult', 		true);
				}
			}
			
			$this->cache['object'] = $object;
		}
		
		return $this->cache['object'];
	}
	
	## NOTE 	- Workaround for Kobeko since it will not store the foundids. We've got to look into it again
	## NOTE 2 	- We might check first if we are on search page
	protected function getFoundObjects()
	{
		$found = $this->app->adapter->sessionGet('bookzo.search.results', array());
		
		if ( !is_array($found) || !count($found) ) 
		{
			$search = $this->app->adapter->sessionGet('bookzo.search.query', array());
			
			if ( isset($search['arrival']) && isset($search['departure']) && isset($search['persons']) )
			{
				$group	= isset($values['group']) ? $values['group'] : 0;
				$found 	= $this->app->api->getFreeObjects($search['arrival'], $search['departure'], $group, $search['persons']);
			}
		}
		
		$found = is_array($found) ? $found : array();
		
		return $found;
	}
	
	/**
	 * Method to auto-populate the model state.
	 *
	 * This method should only be called once per instantiation and is designed
	 * to be called on the first call to the getState() method unless the model
	 * configuration flag to ignore the request is set.
	 *
	 * @return  void
	 *
	 * @note    Calling getState in this method will result in recursion.
	 * @since   12.2
	 */
	protected function populateState()
	{
		$this->state->set('id', $this->app->input->getInt('id'));
	}
	
}