<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;
?>
<div class="bookzo bookzo-page bookzo-booking">
	<h1>
		<?php echo BText::_('TITLE_BOOK'); ?>
	</h1>
	
	<?php if ( $this->app->config->get('template.book_show_steps', 0) && !$this->app->config->get('book.opc', 0) ) : ?>

		<?php echo $this->partial('book.steps', compact('booking', 'page', 'totalsteps', 'steptitles') ); ?>
	
	<?php endif; ?>
	
	<div class="bz-form">
    
    	<form id="bookForm" method="post" url="<?php echo $url; ?>">
        
            <div class="bz-grid" data-bz-grid-margin data-bz-grid-match="{target:> div}">
			
				<div class="th-booking-aside bz-width-1-1 bz-width-medium-4-10 bz-flex-order-last-medium bz-position-relative">
                	
					<div <?php echo $this->app->config->get('template.book_sticky_side', 0) ? 'data-bz-sticky="{boundary: true, top:'.( (int) $this->app->config->get('template.book_sticky_side_pos', 20)).'}"' : ''; ?>>
										
							<?php if ( $object->hasImages() && $this->app->config->get('template.book_show_thumb', 1) ) : ?>
							
							<div class="bz-panel bz-object-info">
						
								<div class="bz-panel bz-panel-box-secondary">
									<div class="bz-thumb bz-stretch bz-hasoverlay">
										<img src="<?php echo $object->image('medium'); ?>" />
										<?php if ( $this->app->config->get('template.book_title_position', 'thumb') == 'thumb' ) : ?>
										<div class="bz-overlay bz-overlay-bottom">
											<?php if ( $this->app->config->get('bookzo.bookpergroup', 0) ) : ?>
												<h3><?php echo $object->get('groupname'); ?></h3>
											<?php else : ?>
												<h3><?php echo $object->get('name'); ?></h3>
											<?php endif; ?>
										</div>
										<?php endif; ?>
									</div>
								</div>
								
							</div>
						
							<?php else: ?>
							
								<?php if ( $this->app->config->get('template.book_title_position', 'thumb') == 'thumb' ) : ?>
								
									<div class="bz-panel bz-object-info">
								
									<?php if ( $this->app->config->get('bookzo.bookpergroup', 0) ) : ?>
										<h3><?php echo $object->get('groupname'); ?></h3>
									<?php else : ?>
										<h3><?php echo $object->get('name'); ?></h3>
									<?php endif; ?>
									
									</div>
								
								<?php endif; ?>                     
							
							<?php endif; ?>
					
						<div class="th-booking-info bz-panel bz-panel-header bz-panel-box-primary bz-margin-top">
									
							<div id="booking-info">
								<?php echo $this->partial('book.info', array('booking' => $booking, 'object' => $object)); ?>
							</div>
							<div id="booking-prices">
								<?php echo $this->partial('book.prices', array('booking' => $booking)); ?>
							</div>
							
						</div>
						
						<?php if ( $extratext = $this->app->config->get('book.extrablocktext.'.$this->app->language->getId())) : ?>
						
						<div class="th-booking-extra bz-panel bz-panel-box-primary bz-margin-top">
						
							<?php if ( $extratitle = $this->app->config->get('book.extrablocktitle.'.$this->app->language->getId())) : ?>
							
								<h2 class="bz-h3"><?php echo $extratitle; ?></h2>
							
							<?php endif; ?>
								
							<div class="bz-margin-top">
								<p>
									<?php echo $this->app->string->paragraphs($extratext); ?>
								</p>							
							</div>
						
						</div>			
						
						<?php endif; ?>
						
						<?php if ( $this->app->config->get('template.book_show_cancel', 0) ) : ?>
						<div class="bz-clearfix bz-margin-medium-top">
							<a class="bz-button bz-button-secondary bz-float-right" data-bz-form-submit="{target: '#bookForm', task: 'book.cancel'}">
								<?php echo BText::_('BUTTON_CANCEL'); ?>
							</a>					
						</div>
						<?php endif; ?>
					
										
					</div>
					
                </div>
			
			
                <div class="th-booking-form bz-width-1-1 bz-width-medium-6-10">
				
					<?php if ( count($errors) ) : ?>
						<div id="booking-errors" class="th-error-message booking-errors bz-alert bz-alert-danger">
							<ul>
								<?php foreach ( $errors as $error ) : ?>
									<li>
										<?php if ( $error instanceof Exception ) : ?>
											<?php echo $error->getMessage(); ?>
										<?php else : ?>
											<?php echo $error; ?>
										<?php endif; ?>
									</li>
								<?php endforeach; ?>
							</ul>
						</div>
					<?php endif; ?>

					<div id="booking-form">
					
						<?php echo $this->partial('book.form', array('booking' => $booking, 'form' => $form)); ?>
				
					</div>
					
					<div class="bz-clearfix bz-margin-medium-top">
						<?php if ( $page != 1 ) : ?>
							<a class="bz-button bz-float-left bz-button-primary" data-bz-form-submit="{target: '#bookForm', task: 'book.previousstep'}">
								<?php echo BText::_('BUTTON_PREVIOUS'); ?>
							</a>
						<?php endif; ?>
						<?php if ( !$finalpage ) : ?>
							<a class="bz-button bz-float-right bz-button-primary" data-bz-form-submit="{target: '#bookForm', task: 'book.nextstep'}">
								<?php echo BText::_('BUTTON_NEXT'); ?>
							</a>
						<?php else : ?>
							<a class="bz-button bz-button-primary bz-float-right" data-bz-form-submit="{target: '#bookForm', task: 'book.nextstep'}">
								<?php echo BText::_('BUTTON_CONFIRM'); ?>
							</a>
						<?php endif; ?>
					</div>
                    
                </div>
				
            </div>
			
			<input type="hidden" name="task" value="" />
			<?php if ( $iframeaccount = $this->app->adapter->sessionGet('bookzo.accountname') ) : ?>
				<input type="hidden" name="account" value="<?php echo $iframeaccount; ?>" />
			<?php endif; ?>
        
        </form>
        
    </div>
</div>