<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;
?>
	<h2 class="bz-h3"><?php echo BText::_('SUBTITLE_BOOKINGINFO'); ?></h2>	
	
	<?php if ( $this->app->config->get('template.book_title_position', 'thumb') == 'info' ) : ?>
	<div class="bz-book-info bz-margin-top">
		<div class="bz-grid bz-grid-small">
			<div class="bz-width-1-2">
				<h4><?php echo BText::_('SUBTITLE_BOOK_ACCOMMODATION'); ?></h4>
			</div>
			<div class="bz-width-1-2 bz-text-right">
				<?php if ( $this->app->config->get('bookzo.bookpergroup', 0) ) : ?>
					<?php echo $object->get('groupname'); ?>
				<?php else : ?>
					<?php echo $object->get('name'); ?>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<?php endif; ?>

							
	<div class="bz-book-info bz-margin-top">
		<h4><?php echo BText::_('SUBTITLE_BOOK_PERIOD'); ?></h4>
		<div class="bz-grid bz-grid-small">
			<div class="bz-width-1-2">
				<?php echo BText::_('ARRIVAL'); ?>: 
			</div>
			<div class="bz-width-1-2 bz-text-right">
				<?php echo $this->app->date->create($booking->get('arrival'))->format( $this->app->config->get('template.book_date_notation', 'DATE_FORMAT_DEFAULT') ); ?>
			</div>
		</div>
		<div class="bz-grid bz-grid-small">
			<div class="bz-width-1-2">
				<?php echo BText::_('DEPARTURE'); ?>: 
			</div>
			<div class="bz-width-1-2 bz-text-right">
				<?php echo $this->app->date->create($booking->get('departure'))->format( $this->app->config->get('template.book_date_notation', 'DATE_FORMAT_DEFAULT') ); ?>
			</div>
		</div>
		<?php if ( $nighttype = $this->app->config->get('template.book_show_nights', 0) ) : ?>
		<div class="bz-grid bz-grid-small">
			<div class="bz-width-1-2">
				<?php echo $nighttype == 1 ? BText::_('NIGHTS') : BText::_('DAYS'); ?>: 
			</div>
			<div class="bz-width-1-2 bz-text-right">
				<?php echo $this->app->date->diff($booking->get('arrival'), $booking->get('departure')) + ($nighttype == 1 ? 0 : 1); ?>
			</div>
		</div>
		<?php endif; ?>
	</div>
	
	<div class="bz-book-info bz-margin-top">
		<?php 
			$seniors 		= $booking->get('seniors');
			$childs	 		= $booking->get('childs');
			$babys	 		= $booking->get('babies');
			$adults  		= $booking->get('adults');
			$seniorage 		= $this->app->config->get('bookzo.minagesenior', 0);
			$babyage  		= $this->app->config->get('bookzo.maxagebaby', 0);
			$childage 		= $this->app->config->get('bookzo.maxagechild', 0);
		?>
		<h4><?php echo BText::_('SUBTITLE_BOOK_TRAVELERS'); ?></h4>
		<?php if ( $adults ) : ?>
		<div class="bz-grid bz-grid-small">
			<div class="bz-width-1-2">
				<?php if ( !$childage ) : ?>
					<?php echo BText::_('PERSONS'); ?>: 
				<?php else : ?>
					<?php echo BText::_('ADULTS'); ?>: 
				<?php endif; ?>				
			</div>
			<div class="bz-width-1-2 bz-text-right">
				<?php echo $booking->get('adults'); ?>
			</div>
		</div>
		<?php endif; ?>
		<?php if ( $seniors ) : ?>
		<div class="bz-grid bz-grid-small">
			<div class="bz-width-1-2">
				<?php echo BText::_('SENIORS'); ?>: 
			</div>
			<div class="bz-width-1-2 bz-text-right">
				<?php echo $seniors; ?>
			</div>
		</div>
		<?php endif; ?>
		<?php if ( $childs ) : ?>
		<div class="bz-grid bz-grid-small">
			<div class="bz-width-1-2">
				<?php echo BText::_('CHILDS'); ?>: 
			</div>
			<div class="bz-width-1-2 bz-text-right">
				<?php echo $childs; ?>
			</div>
		</div>
		<?php endif; ?>
		<?php if ( $babys ) : ?>
		<div class="bz-grid bz-grid-small">
			<div class="bz-width-1-2">
				<?php echo BText::_('BABYS'); ?>: 
			</div>
			<div class="bz-width-1-2 bz-text-right">
				<?php echo $babys; ?>
			</div>
		</div>
		<?php endif; ?>
		<?php if ( $this->app->config->get('book.usepets', 1) && $pets = $booking->get('pets') ) : ?>
		<div class="bz-grid bz-grid-small">
			<div class="bz-width-1-2">
				<?php echo BText::_('PETS'); ?>: 
			</div>
			<div class="bz-width-1-2 bz-text-right">
				<?php echo $pets; ?>
			</div>
		</div>
		<?php endif; ?>
	</div>