<?php
/**
 * @package     Joomla.Site
 * @subpackage  Layout
 *
 * @copyright   Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_BOOKZO') or die;

/**
 * Layout variables
 * ---------------------
 * 	$options         : (array)  Optional parameters
 * 	$label           : (string) The html code for the label (not required if $options['hiddenLabel'] is true)
 * 	$input           : (string) The input field html code
 *  $field			 : (object) The entire field bject
 */

$hideLabel = !empty($options['hiddenLabel']) && (bool) $options['hiddenLabel'];
$showError = !empty($options['showError']) && (bool) $options['showError'];

// do we add valid
if ( $showError ) : 

	$msgattr	= '';
	$msg		= $field->getAttribute('message');
	
	if ( strlen($msg) ) :
		BHtml::_('behavior.tooltip');
		$msgattr = ' data-bz-tooltip title="'. BHtml::tooltipText('', $msg, 1).'" ';
	endif;

endif; 
?>

<?php
/*
if (!empty($options['showonEnabled']))
{
	JHtml::_('jquery.framework');
	JHtml::_('script', 'jui/cms.js', false, true);
}
*/
?>
<div class="bz-grid bz-grid-small <?php echo $options['class']; ?>" <?php echo $options['rel']; ?>>
	<?php if (!$hideLabel) : ?>
		<div class="bz-width-1-1 bz-width-medium-4-10 bz-label"><?php echo $label; ?></div>
	<?php endif; ?>
	<div class="bz-width-1-1 bz-width-medium-<?php echo $hideLabel ? '10' : '6'; ?>-10 bz-field">
		<?php if ( $showError ) : ?>
			<div class="bz-grid bz-grid-small">
				<div class="bz-width-9-10"><?php echo $input; ?></div>
				<div class="bz-width-1-10 bz-text-center bz-padding-remove bz-form-message"<?php echo $msgattr; ?>>
					<i class="fa fa-exclamation-circle fa-bz-danger"></i>
				</div>
			</div>
		<?php else : ?>	
			<?php echo $input; ?>
		<?php endif; ?>
	</div>
</div>
