<?php
/**
 * @package     Joomla.Site
 * @subpackage  Layout
 *
 * @copyright   Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_BOOKZO') or die;

/**
 * Layout variables
 * ---------------------
 * 	$text         : (string)  The label text
 * 	$description  : (string)  An optional description to use in a tooltip
 * 	$for          : (string)  The id of the input this label is for
 * 	$required     : (boolean) True if a required field
 * 	$classes      : (array)   A list of classes
 * 	$position     : (string)  The tooltip position. Bottom for alias
 */
 
$classes	= array_filter((array) $classes);
$id 		= $for . '-lbl';
$title 		= '';
$data		= '';

// If a description is specified, use it to build a tooltip.
if (!empty($description))
{
	BHtml::_('behavior.tooltip');
	$title = ' title="' . BHtml::tooltipText(trim($text, ':'), $description, 0) . '"';
	$data  = ' data-bz-tooltip ';
}

// If required, there's a class for that.
if ((bool) $required)
{
	$classes[] = 'required';
}

?>
<label id="<?php echo $id; ?>" for="<?php echo $for; ?>" class="<?php echo implode(' ', $classes); ?>" <?php echo $data; ?> <?php echo $title; ?><?php //echo $position; ?>>
	<?php echo $text; ?><?php if ((bool) $required) : ?><span class="star">&#160;*</span><?php endif; ?>
</label>