<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

$thumbwidth = $this->app->config->get('template.full_thumbwidth', '1-3');
$descwidth 	= $this->app->grid->calculate( $this->app->config->get('template.full_thumbwidth', '1-3') );

?>
<div class="bz-panel">
	<div class="th-infobar bz-grid bz-margin-large-bottom" data-bz-grid-margin>
		<div class="bz-width-1-1 bz-width-medium-1-2">
			<a class="more bz-button bz-button-secondary" onclick="history.go(-1)">
				<i class="fa fa-caret-left"></i>
				<?php echo BText::_('BUTTON_BACK'); ?>
			</a>
		</div>
		<?php if ( $this->app->config->get('reviews.showon_detail', 1) && $this->app->review->has($object->id) ) : ?>
			<div class="bz-width-1-1 bz-width-medium-1-2">
				<?php echo $this->app->review->render('grade', $object->id, array('link_count' => true, 'anchor' => 'bookzo-reviews')); ?>
			</div>
		<?php endif; ?>			
	</div>
	<div class="bz-panel th-acco-main">			
		<div class="bz-grid" data-bz-grid-margin>
			<?php if ( $object->hasImages() ) : ?>
				<div class="bz-width-1-1 bz-width-medium-<?php echo $thumbwidth; ?>">
				<?php if ( $this->app->config->get('template.full_thumbgallery', 0) ) : ?>
					<div class="bz-margin-right">
						<?php echo $object->widget('gallery', 
														array(
															'layout' => 'slideset',
															'images' => 'medium',
															'thumbnails' => $this->app->config->get('template.full_thumbgallery_thumbs', 1),
															'lightbox' => $this->app->config->get('template.full_thumbgallery_lightbox', 0)
															)
													); 
						?>
					</div>
				<?php else : ?>
					<div class="bz-thumb bz-stretch">
						<?php echo $object->image('medium', true); ?>
					</div>
				<?php endif; ?>
				</div>
			<?php endif; ?>
			<div class="bz-inner bz-relative bz-width-1-1 bz-width-medium-<?php echo $object->hasImages() ? $descwidth : '1-1'; ?>">
				<div class="th-top bz-clearfix">
					<div class="th-titles titles bz-float-left">
						<h2>
							<?php if ( $this->app->config->get('bookzo.bookpergroup', 0) ) : ?>
								<?php echo $object->get('groupname'); ?>
							<?php else : ?>
								<?php echo $object->translate('name'); ?>
							<?php endif; ?>
						</h2>
						<?php if ( $this->app->config->get('template.full_show_group', 1) && !$this->app->config->get('bookzo.bookpergroup', 0) ) : ?>
							<h5>
								<?php echo $object->get('groupname'); ?>
							</h5>
						<?php endif; ?>
					</div>
					<div class="bz-float-right">
						<?php echo $object->price(); ?>
					</div>
				</div>
				<p class="th-description description">
					<?php if ( $this->app->config->get('template.introtextspace', 'full') == 'full' ) : ?>
						<?php echo nl2br($object->get('description')); ?>
					<?php else : ?>
						<?php echo $object->getShortDescription(); ?>
					<?php endif; ?>
				</p>
			</div>
		</div>
		<div class="th-infobar bz-grid bz-margin-top">
			<div class="bz-width-1-1 bz-width-medium-<?php echo $thumbwidth; ?>"></div>
			<div class="bz-width-1-1 bz-width-medium-<?php echo $descwidth; ?>">
				<div class="bz-grid" data-bz-grid-margin>
					<div class="bz-width-1-1">
						<?php echo $this->partial('icons', array('object' => $object) ); ?>
					</div>
					<div class="th-result-buttons bz-width-1-1">
						<?php 
							$showavailablebutton = $this->app->config->get('template.full_show_calendar', 1) 
												 ? $this->app->config->get('template.full_button_prices', 0) 
												 : false;
							
							if ( $object->hasPrice() && $showavailablebutton != 2 ) : 
								echo $object->button('book', '', '', '', 'full'); 
							elseif ( (!$object->hasPrice() && $showavailablebutton == 1) || $showavailablebutton == 2 ) :
								echo $this->app->renderer->partial()->render('button.prices', array('link' => '#full-block-calendar'));
							endif; 
						?>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="th-details bz-panel bz-margin-large-top">
	<?php if ( $this->app->config->get('template.introtextspace', 'full') != 'full' ) : ?>	
		<?php echo $this->app->renderer->partial()->render('layout.block', array('content' => nl2br($object->translate('description')), 'type' => 'description')); ?>					
	<?php endif; ?>
	<?php if ( $this->app->config->get('template.full_show_features', 1) ) : ?>
		<?php echo $this->app->renderer->partial()->render('layout.block', array('content' => $object->widget('features'), 'type' => 'features')); ?>
	<?php endif; ?>
	<?php if ( $this->app->config->get('template.full_show_gallery', 1) ) : ?>
		<?php echo $this->app->renderer->partial()->render('layout.block', array('content' => $object->widget('gallery'), 'type' => 'gallery')); ?>
	<?php endif; ?>
	<?php if ( $this->app->config->get('template.full_show_calendar', 1) ) : ?>
		<?php $calendartitle = $this->app->config->get('widgets.calendar.pricecalculation', 0) || $this->app->config->get('widgets.calendar.showprices', 0) 
							 ? BText::_('SUBTITLE_CALENDAR_PRICES') 
							 : BText::_('SUBTITLE_CALENDAR'); 
		?>
		<?php echo $this->app->renderer->partial()->render('layout.block', array('content' => $object->widget('calendar'), 'type' => 'calendar', 'id' => 'full-block-calendar', 'title' => $calendartitle)); ?>
	<?php endif; ?>
	<?php if ( $this->app->config->get('template.full_show_pricelist', 1) ) : ?>
		<?php echo $this->app->renderer->partial()->render('layout.block', array('content' => $object->widget('pricelist'), 'type' => 'pricelist')); ?>
	<?php endif; ?>
	<?php if ( $this->app->config->get('template.full_show_map', 1) ) : ?>
		<?php echo $this->app->renderer->partial()->render('layout.block', array('content' => $object->widget('map'), 'type' => 'map')); ?>
	<?php endif; ?>
</div>
<?php if ( $this->app->config->get('reviews.showon_detail', 1) && $this->app->review->has($object->id) ) : ?>
	<div id="bookzo-reviews" class="th-review-reviews bz-margin-top">
		<?php echo $this->app->review->render('list', $object->id); ?>
	</div>
<?php endif; ?>