<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

$thumbwidth 	= $this->app->config->get('template.teaser_thumbwidth', '1-3');
$descwidth 		= $this->app->grid->calculate( $this->app->config->get('template.teaser_thumbwidth', '1-3') );
$discounts 		= $object->get('prices', array());
$discounts		= $this->app->registry->creategroup($discounts);
$discountcount	= count($discounts);
$first			= $this->app->array->first($discounts);
$arrivaltext 	= $this->app->date->create($first->get('arrival'))->format('DATE_FORMAT_SHORT');
$departuretext 	= $this->app->date->create($first->get('departure'))->format('DATE_FORMAT_SHORT');
?>
<div class="bz-panel bz-panel-box">
	<div class="bz-grid" data-bz-grid-margin>
		<?php if ( $object->hasImages() ) : ?>
			<div class="bz-width-1-1 bz-width-medium-<?php echo $thumbwidth; ?>">
			<?php if ( $this->app->config->get('template.teaser_thumbgallery', 0) ) : ?>
				<?php echo $object->widget('gallery', 
												array(
													'layout' => 'slideset',
													'images' => 'medium',
													'thumbnails' => $this->app->config->get('template.teaser_thumbgallery_thumbs', 1),
													'lightbox' => $this->app->config->get('template.teaser_thumbgallery_lightbox', 0),
													'max' => $this->app->config->get('template.teaser_thumbgallery_max', 0),
													'link' => $this->app->config->get('template.teaser_thumbgallery_link', 1),
													'href' => $object->get('link')
													)
											); 
				?>
			<?php else : ?>
				<div class="bz-thumb bz-stretch">
					<a href="<?php echo $object->get('link'); ?>">
						<?php echo $object->image('medium', true); ?>
					</a>
				</div>
			<?php endif; ?>
			</div>
		<?php endif; ?>
		<div class="bz-inner bz-relative bz-width-1-1 bz-width-medium-<?php echo $object->hasImages() ? $descwidth : '1-1'; ?>">
			<div class="th-discount-top bz-text-right">
				<span class="th-discount-label">
					<?php if ( $actionname = $first->get('actionname') ) : ?>
						<?php echo $actionname; ?> 
					<?php endif; ?>
					<?php echo BText::sprintf('DISCOUNT_PERIOD_DATES', $arrivaltext, $departuretext); ?>
				</span>
			</div>
			<div class="th-top bz-clearfix">
				<div class="th-titles titles bz-float-left">
					<h2 class="bz-h3">
						<a href="<?php echo $object->get('link'); ?>">
							<?php if ( $this->app->config->get('bookzo.bookpergroup', 0) ) : ?>
								<?php echo $object->get('groupname'); ?>
							<?php else : ?>
								<?php echo $object->translate('name'); ?>
							<?php endif; ?>
						</a>
					</h2>
					<?php if ( $this->app->config->get('template.teaser_show_group', 1) && !$this->app->config->get('bookzo.bookpergroup', 0) ) : ?>
						<h5>
							<?php echo $object->get('groupname'); ?>
						</h5>
					<?php endif; ?>
				</div>
				<div class="bz-float-right">
					<?php echo $object->price($first->get('arrival'), $first->get('departure')); ?>
				</div>
			</div>
			<p class="th-description description">
				<?php echo $object->getShortDescription(); ?>
			</p>
		</div>
	</div>
	<div class="th-infobar bz-grid bz-margin-top" data-bz-grid-margin>
		<div class="bz-width-1-1 bz-width-medium-3-5">
			<?php echo $this->partial('icons', array('object' => $object, 'teaser' => true) ); ?>
		</div>
		<div class="th-teaser-buttons bz-width-1-1 bz-width-medium-2-5">
			<div class="bz-grid bz-grid-small bz-grid-inverse" data-bz-grid-margin>
					<?php if ( $this->app->config->get('template.discounts_show_bookbutton', 1) ) : 
						$url = $this->app->adapter->route('task=book.request&object='. $object->get('id') . '&arrival='. $first->get('arrival') . '&departure=' . $first->get('departure'));
					?>						
						<div class="bz-width-1-1 bz-width-medium-1-2">
							<a class="book bz-button bz-button-primary bz-width-1-1" href="<?php echo $url; ?>">
								<?php echo BText::_('BUTTON_BOOK'); ?>
							</a>
						</div>
					<?php else : ?>
						<div class="bz-width-1-1 bz-width-medium-1-2">
							<?php echo $object->button('readmore', '', '', 'bz-width-1-1'); ?>
						</div>
					<?php endif; ?>
					<?php if ( $discountcount > 1 && $this->app->config->get('template.discounts_show_others', 1) == 1 ) : ?>
						<div class="bz-width-1-1 bz-width-medium-1-2">
							<?php echo $object->button('discounts', '', '', 'bz-width-1-1', '', 'data-bz-toggle="{target:\'.th-pricelist-' . $object->get('id') . '\', cls: \'bz-hidden\'}"'); ?>
						</div>
					<?php endif; ?>
					
			</div>
		</div>
	</div>
</div>
<?php if ( $discountcount > 1 && ($show = $this->app->config->get('template.discounts_show_others', 1)) ) : ?>
<div class="th-pricelist-<?php echo $object->get('id'); ?> <?php echo $show != 2 ? 'bz-hidden' : ''; ?> bz-panel bz-panel-box bz-panel-box-secondary bz-margin-top">
	<?php $i = 0; foreach ( $discounts as $discount ) : $i++; if ( $i == 1 ) continue; if ( $i == 6 ) break; ?>
		<?php 
			$arrivaltext 	= $this->app->date->create($discount->get('arrival'))->format('DATE_FORMAT_SHORT');
			$departuretext 	= $this->app->date->create($discount->get('departure'))->format('DATE_FORMAT_SHORT');
			$url			= $this->app->adapter->route('task=book.request&object='. $discount->get('objectid') . '&arrival='. $discount->get('arrival') . '&departure=' . $discount->get('departure'));  
		?>
		<div class="th-discount-item bz-clearfix">
			<?php if ( $actionname = $discount->get('actionname') ) : ?>
			<span class="th-discount-label"><?php echo $actionname; ?></span>
			<?php endif; ?>
			<span class="th-discount-period"><?php echo BText::sprintf('DISCOUNT_PERIOD', $discount->get('periodname'), $arrivaltext, $departuretext); ?></span>
			<div class="bz-float-right">
				<div class="th-discount-price">
					<?php echo $object->price($discount->get('arrival'), $discount->get('departure'), 'short'); ?>
				</div>
				<a class="book bz-button bz-button-primary bz-button-small" href="<?php echo $url; ?>">
					<?php echo BText::_('BUTTON_BOOK'); ?>
				</a>
			</div>
		</div>
	<?php endforeach; ?>
</div>
<?php endif; ?>