<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

$thumbwidth = $this->app->config->get('template.teaser_thumbwidth', '1-3');
$descwidth 	= $this->app->grid->calculate( $this->app->config->get('template.teaser_thumbwidth', '1-3') );
?>
<div class="bz-panel bz-panel-box">
	<div class="bz-grid" data-bz-grid-margin>
		<?php if ( $object->hasImages() ) : ?>
			<div class="bz-width-1-1 bz-width-medium-<?php echo $thumbwidth; ?>">
			<?php if ( $this->app->config->get('template.teaser_thumbgallery', 0) ) : ?>
				<?php echo $object->widget('gallery', 
												array(
													'layout' => 'slideset',
													'images' => 'medium',
													'thumbnails' => $this->app->config->get('template.teaser_thumbgallery_thumbs', 1),
													'lightbox' => $this->app->config->get('template.teaser_thumbgallery_lightbox', 0),
													'max' => $this->app->config->get('template.teaser_thumbgallery_max', 0),
													'link' => $this->app->config->get('template.teaser_thumbgallery_link', 1),
													'href' => $object->get('link')
													)
											); 
				?>
			<?php else : ?>
				<div class="bz-thumb bz-stretch">
					<a href="<?php echo $object->get('link'); ?>">
						<?php echo $object->image('medium', true); ?>
					</a>
				</div>
			<?php endif; ?>
			</div>
		<?php endif; ?>
		<div class="bz-inner bz-relative bz-width-1-1 bz-width-medium-<?php echo $object->hasImages() ? $descwidth : '1-1'; ?>">
			<div class="th-top bz-clearfix">
				<div class="th-titles titles bz-float-left">
					<h2 class="bz-h3">
						<a href="<?php echo $object->get('link'); ?>">
							<?php if ( $this->app->config->get('bookzo.bookpergroup', 0) ) : ?>
								<?php echo $object->get('groupname'); ?>
							<?php else : ?>
								<?php echo $object->translate('name'); ?>
							<?php endif; ?>
						</a>
					</h2>
					<?php if ( $this->app->config->get('template.teaser_show_group', 1) && !$this->app->config->get('bookzo.bookpergroup', 0) ) : ?>
						<h5>
							<?php echo $object->get('groupname'); ?>
						</h5>
					<?php endif; ?>
				</div>
				<div class="bz-float-right">
					<?php echo $object->price(); ?>
				</div>
			</div>
			<p class="th-description description">
				<?php echo $object->getShortDescription(); ?>
			</p>
		</div>
	</div>
	<div class="th-infobar bz-grid bz-margin-top" data-bz-grid-margin>
		<div class="bz-width-1-1 bz-width-medium-3-5">
			<?php echo $this->partial('icons', array('object' => $object, 'teaser' => true) ); ?>
		</div>
		<div class="th-teaser-buttons bz-width-1-1 bz-width-medium-2-5">
			<div class="bz-grid bz-grid-small bz-grid-inverse" data-bz-grid-margin>
				<?php 
					## NOTE - This should be handled differently
					if ( $object->hasPrice() ) : 
				?>
						<?php if ( $this->app->config->get('template.results_show_bookbutton', 1) ) : ?>
							<div class="bz-width-1-1 bz-width-medium-1-2">
								<?php echo $object->button('book', '', '', 'bz-width-1-1'); ?>
							</div>
						<?php endif; ?>
						<?php if ( $this->app->config->get('template.results_show_infobutton', 0) ) : ?>
							<div class="bz-width-1-1 bz-width-medium-1-2">
								<?php echo $object->button('readmore', '', '', 'bz-width-1-1'); ?>
							</div>
						<?php endif; ?>						
					<?php else : ?>
						<?php if ( $this->app->config->get('template.teaser_show_infobutton', 1) ) : ?>
							<div class="bz-width-1-1 bz-width-medium-1-2">
								<?php echo $object->button('readmore', '', '', 'bz-width-1-1'); ?>
							</div>
						<?php endif; ?>
					<?php endif; ?>
			</div>
		</div>
	</div>
</div>