<?php
/**
 * @package     Template.Partials
 * @subpackage  Reviews
 */

defined('_BOOKZO') or die;

/**
 * Layout variables
 * ---------------------
 * 	$grade         	 : (float)  The grade
 * 	$count         	 : (int) 	The total nr of reviews
 * 	$maxshow       	 : (int) 	The maximum number of reviews to show
 * 	$questions     	 : (array) 	The overview of questions
 * 	$reviews     	 : (array) 	The list of reviews
 *  $params			 : (BRegistry)  Parameters pushed into this partial by arguments
 */
 
$c 				= 0;
$showreadmore 	= $this->app->config->get('review.show_readmore', 1) && $maxshow < $count;
$showlink	 	= $this->app->config->get('review.show_link', 1) && $link;
$showlink 		= false;
?>
<div class="th-review-full">
	<div class="th-review-head">
		<h2><?php echo BText::plural('REVIEW_REVIEW_COUNT', $count); ?></h2>
	</div>
	<div class="th-review-overview bz-panel bz-panel-box">
		<div class="bz-clearfix">
			<span class="th-review-grade review-grade bz-float-left">
				<span>
					<?php echo $grade; ?>
				</span>
			</span>
			<div class="th-review-questions bz-overflow-hidden">
				<div class="bz-grid">
					<?php foreach ( $questions as $question ) : 
						$grade = $question->grade;
						$grade = (int) ceil($grade) == 0 ? '-' : ( (int) ceil($grade) == (int) $grade ? (int) $grade : $grade );
						$grade = $grade < 1 && $grade > 0 ? 1 : $grade;
					
					?>
						<div class="th-review-question bz-width-1-1 bz-width-small-1-2 bz-clearfix">
							<?php echo $question->name; ?>
							<span class="bz-float-right"><?php echo $grade; ?></span>
						</div>
					<?php endforeach; ?>
				</div>		
			</div>
		</div>
	</div>
	<div class="th-review-list">
		<?php foreach ( $reviews as $review ) : $c++; ?>
			<?php if ( $c == $maxshow + 1 ) : ?>
				<div id="review-more" class="bz-hidden">
			<?php endif; ?>
				<div class="bz-panel bz-panel-box bz-margin">
					<div class="bz-grid">
						<div class="th-review-details bz-width-1-1 bz-width-medium-2-3">
							<h2 class="reviewer"><?php echo $review->reviewer; ?></h2>
							<?php if ( !empty($review->title) ) : ?>
							<h3 class="reviewe-title"><?php echo $review->title; ?></h3>
							<?php endif; ?>
							<p class="review-description">
								<strong><?php echo $this->app->date->create($review->date)->format(BText::_('DATE_FORMAT_DEFAULT')); ?></strong>
								<?php if ( !empty($review->description) ) : ?>
									<?php echo nl2br($review->description); ?>
								<?php endif; ?>
							</p>
						</div>
						<div class="th-review-questions-short bz-width-1-1 bz-width-medium-1-3">
							<div class="bz-panel bz-panel-box-secondary">
								<ul>
								<?php foreach ( $review->questions as $question ) : ?>
									<li>
										<div class="bz-clearfix">
											<?php echo $question->name; ?>
											<span class="bz-float-right"><?php echo $question->grade; ?></span>
										</div>
									</li>
								<?php endforeach; ?>
								</ul>
							</div>
						</div>
					</div>
				</div>
			<?php if ( $c == $count ) : ?>
				</div>
			<?php endif; ?>	
			
		<?php endforeach; ?>
		<?php if ( $showreadmore || $showlink ) : ?>
			<div class="review-buttons bz-text-right">
				<?php if ( $showlink ) : ?>
					<a class="bz-button bz-button-secondary" href="<?php echo $link; ?>"><?php echo BText::_('REVIEW_WRITE_REVIEW'); ?></a>
				<?php endif; ?>
				<?php if ( $showreadmore ) : ?>
					<a class="bz-button bz-button-primary bz-toggler" data-bz-toggle="{target:'#review-more'}">
						<span class="text-closed"><?php echo BText::_('REVIEW_SHOW_ALL_REVIEWS'); ?></span>
						<span class="text-open"><?php echo BText::_('REVIEW_HIDE_REVIEWS'); ?></span>
					</a>
				<?php endif; ?>
			</div>
		<?php endif; ?>	
	</div>
</div>