<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

$priceelements  = $prospect->getPriceElements();
$max			= $params->get('months', 2);
?>
<div class="bz-calendar-directbooking bz-panel bz-panel-box bz-panel-box-secondary">
	<div class="bz-grid">
		<div class="block bz-width-1-1 <?php echo $max == 1 ? '' : 'bz-width-medium-1-2'; ?>">
			<div class="bz-price-info">
				<h4><?php echo BText::_('SUBTITLE_BOOKINGINFO'); ?></h4>
				<div class="bz-grid bz-grid-small">
					<div class="bz-width-1-2">
						<?php echo BText::_('PERSONS'); ?>: 			
					</div>
					<div class="bz-width-1-2 bz-text-right">
						<?php echo $persons; ?>
					</div>
				</div>
				<div class="bz-grid bz-grid-small">
					<div class="bz-width-1-2">
						<?php echo BText::_('ARRIVAL'); ?>: 
					</div>
					<div class="bz-width-1-2 bz-text-right">
						<?php echo $this->app->date->create($arrival)->format( $this->app->config->get('template.book_date_notation', 'DATE_FORMAT_DEFAULT') ); ?>
					</div>
				</div>
				<div class="bz-grid bz-grid-small">
					<div class="bz-width-1-2">
						<?php echo BText::_('DEPARTURE'); ?>: 
					</div>
					<div class="bz-width-1-2 bz-text-right">
						<?php echo $params->get('departurechange', 0) 
										? $departurelist
										: $this->app->date->create($departure)->format( $this->app->config->get('template.book_date_notation', 'DATE_FORMAT_DEFAULT') );
						?>
					</div>
				</div>
				<?php if ( $nighttype = $this->app->config->get('template.book_show_nights', 0) ) : ?>
				<div class="bz-grid bz-grid-small">
					<div class="bz-width-1-2">
						<?php echo $nighttype == 1 ? BText::_('NIGHTS') : BText::_('DAYS'); ?>: 
					</div>
					<div class="bz-width-1-2 bz-text-right">
						<?php echo $this->app->date->diff($arrival, $departure) + ($nighttype == 1 ? 0 : 1); ?>
					</div>
				</div>
				<?php endif; ?>
			</div>
		</div>
		<div class="block bz-width-1-1 <?php echo $max == 1 ? '' : 'bz-width-medium-1-2'; ?>">
			<?php if ( $params->get('pricecalculation') == 1 || $params->get('pricecalculation') == 2 ) : ?>
			<div class="bz-panel bz-panel-box bz-panel-box-primary th-total-price">
				<div class="bz-margin-bottom th-total-price-price bz-position-relative">
					<?php if ( $params->get('pricecalculation') == 2 ) : ?>
						<?php 
							BHtml::_('behavior.tooltip');
							$minicalculation = $this->render('minicalculation', compact('priceelements', 'prospect', 'params'));
							$minicalculation = $this->app->string->dataAttributePrepare($minicalculation)
						?>
						<span class="bz-icon bz-icon-round" data-bz-tooltip="{pos: 'bottom-right', cls: 'bz-tooltip-calc'}" data-tooltip-text="<?php echo $minicalculation; ?>">
							<i class="fa fa-info" aria-hidden="true"></i>
						</span>
					<?php endif; ?>
					<span class="price"><?php echo $this->app->price->format($prospect->getTotalPrice(), $params); ?></span>
					<span class="msg"><?php echo BText::_('WIDGET_CALENDAR_TXT_PRICE_INCLUSIVE'); ?></span>
				</div>
				<a class="book bz-button bz-button-primary bz-width-1-1" href="<?php echo $booklink; ?>">
					<?php echo BText::_('WIDGET_CALENDAR_TXT_BOOK'); ?>
				</a>
			</div>
			<?php else : ?>
			<div class="bz-price-calc">
				<h4><?php echo BText::_('SUBTITLE_BOOK_PRICES'); ?></h4>
				<?php foreach ( $priceelements as $id => $priceelement ) : ?>
					<div class="bz-grid bz-grid-small">
						<div class="bz-width-1-10 bz-text-right">
							<?php if ( $priceelement->reservationlinetype != 'Accommodation' ) : ?>
								<?php echo $priceelement->amount; ?>x
							<?php endif; ?>
						</div>
						<div class="bz-width-6-10">
							<?php if ( isset($priceelement->description) ) : ?>
								<?php if ( isset($priceelement->action) ) : ?>
									<?php echo $priceelement->action; ?>:<br />
								<?php endif; ?>
								<?php echo $priceelement->description; ?>
							<?php endif; ?>
						</div>
						<div class="bz-width-3-10 bz-text-right">
							<?php echo $this->app->price->format($priceelement->total, $params); ?>
						</div>
					</div>
				<?php endforeach; ?>
				<div class="bz-grid bz-grid-small">
					<div class="bz-width-1-10 bz-text-right"></div>
					<div class="bz-width-6-10 th-book-total">
						<strong><?php echo BText::_('TOTAL'); ?></strong>
					</div>
					<div class="bz-width-3-10 bz-text-right th-book-total">
						<strong><?php echo $this->app->price->format($prospect->getTotalPrice(), $params); ?></strong>
					</div>
				</div>
				<div class="bz-clearfix bz-margin-large-top">
					<a class="book bz-button bz-button-primary bz-width-1-1 bz-float-right" href="<?php echo $booklink; ?>">
						<?php echo BText::_('WIDGET_CALENDAR_TXT_BOOK'); ?>
					</a>
				</div>
			</div>
			<?php endif; ?>
		</div>
	</div>
</div>