<?php
/**
 * @package   bookzo
 * @author    Invenda  http://www.invenda.nl
 * @copyright Copyright (C) Invenda
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

/**
 * Base View class
 *
 * @package Framework.Classes
 */
class BzViewBook extends BView {
	
	public $form;
	
	public function display()
	{
		$form 		= $this->get('Form');
		$object 	= $this->get('Object');
		$booking 	= $this->get('Booking');
		$state		= $this->get('State');
		$totalsteps	= $this->get('TotalSteps');
		$steptitles	= $this->get('StepTitles');
		$errors		= $this->get('Errors');
		
		$page		= $state->get('page');
		$nextpage	= $page + 1;
		
		$url		= $this->app->route->route('layout=book');
		
		$finalpage 	= $totalsteps == $page;
		
		// do we need to filter the errors? We only filter exceptions
		$showerrors = $this->app->config->get('template.book_show_errors', 1);
		if ( $showerrors == 0 || $showerrors == 1 ) {
			$tmperrors 	= array();
			$count		= count($errors);
			
			for ($i = 0; $i < $count; $i++)
			{
				if ( $errors[$i] instanceof Exception ) {
					
					if ( $showerrors == 1 ) {
						$tmperrors[] = $errors[$i];
					}
					
					unset($errors[$i]);
				}
			}	
			
			if ( $showerrors == 1 ) {
				$tmperrors 	= count($tmperrors) > 2 ? array(BText::_('FORM_BOOK_MULTIPLE_ERRORS')) : $tmperrors;
				$errors 	= array_merge($errors, $tmperrors);
			}
			
			$errors = array_values($errors);					
		}
			
			

		#NOTE - WE NEED MORE CHECKS
		if ( !$object || !$booking || $booking->getTotalPrice() == 0 ) 
		{
			if ( !$object ) {
				$this->app->log->write('Booking', 'Error Object could not be fetched', '', 'reservations');
			}
			if ( !$booking ) {
				$this->app->log->write('Booking', 'Error Bookingdata could not be fetched', '', 'reservations');
			}
			elseif ( $booking->getTotalPrice() == 0 ) {
				$this->app->log->write('Booking', 'Error Price = 0', '', 'reservations');
			}
			$this->app->log->write('Booking', 'Error message showed in booking process', '', 'reservations');
			
			echo BText::_('ERROR_BOOKING'); 
			
			return;
		}		
		
		echo $this->renderer->render('book', compact('form', 'object', 'booking', 'url', 'page', 'nextpage', 'state', 'finalpage', 'totalsteps', 'steptitles', 'errors'));
	}
	
}