<?php
/**
 * @package   bookzo
 * @author    Invenda  http://www.invenda.nl
 * @copyright Copyright (C) Invenda
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

/**
 * Base View class
 *
 * @package Framework.Classes
 */
class BzViewConfirmation extends BView {
	
	public function display()
	{
		$this->app->log->write('Booking', 'Showing confirmation page', '', 'reservations'); 
		
		## NOTE - We might build in some setting to see if user directly links to this page
		## IF SO WE COULD SHOW ERROR
		
		$withpayment 	= $this->app->config->get('bookzo.onlinepaymentactive', 0);
		$paymentmethod  = $this->app->adapter->sessionGet('bookzo.paymentmethod');
		$success	 	= (int) $this->app->adapter->sessionGet('bookzo.ordersuccess');
		$paymentstatus 	= 0;
		

		if ( $success )
		{
			$this->app->log->write('Booking', 'Confirmation showed', '', 'reservations');
			
			$title 	= BText::_('TITLE_CONFIRM');
			$text	= BText::_('TEXT_CONFIRM');
			
			if ( $withpayment ) {
				$paymentstatus = (int) $this->app->adapter->sessionGet('bookzo.paymentsuccess');
			}
			
			// do we have scripts
			if ( $scripts = $this->app->config->get('book.confirmscript') ) {
				if ( strlen(trim($scripts)) ) {
					$resnr = $this->app->adapter->sessionGet('bookzo.ordernr');
					$total = $this->app->adapter->sessionGet('bookzo.ordertotal');
					
					$scripts = str_replace('[resnr]', $resnr, $scripts);
					$scripts = str_replace('[price]', $this->app->string->amount($total, false, '.'), $scripts);
					
					$this->app->adapter->addScriptDeclaration($scripts);
					
					$this->app->adapter->sessionClear('bookzo.ordernr');
					$this->app->adapter->sessionClear('bookzo.ordertotal');
				}
			}
		}
		else {
			$this->app->log->write('Booking', 'Error message showed after booking', '', 'reservations');
			
			$title 	= BText::_('TITLE_FAILED');
			$text	= BText::_('TEXT_FAILED');
		}
		
		// clear data
		$this->app->adapter->sessionClear('bookzo.ordersuccess');
		$this->app->adapter->sessionClear('bookzo.paymentsuccess');
		$this->app->adapter->sessionClear('bookzo.paymentmethod');
		
		
		echo $this->renderer->render('confirmation', compact('title', 'text', 'success', 'withpayment', 'paymentstatus', 'paymentmethod'));
	}
	
}