<?php
/**
 * @package   bookzo
 * @author    Invenda  http://www.invenda.nl
 * @copyright Copyright (C) Invenda
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

/**
 * Base View class
 *
 * @package Framework.Classes
 */
class BzViewGroup extends BView {
	
	public function display()
	{
		## NOTE - This shouldn't be here
		$this->app->adapter->sessionClear('bookzo.search.query');
		$this->app->adapter->sessionClear('bookzo.search.options');
		$this->app->adapter->sessionClear('bookzo.search.results');	
		
		## NOTE - We should throw 404 if not found	
		$group	 	= $this->get('Group');
		
		// we need the objects rendered
		$objects 	= $this->get('List');
		$total	 	= $this->get('Total');
		$pagination = $this->get('Pagination');

		// get the filter widget
		$filters = $this->app->widget->get('filters');
		$search	 = $this->app->widget->get('search');
		
		// set search defaults
		$search->setParam('inline', 1);
		$search->setParam('direction', 'vertical');
		if ( is_object( $group ) ) {
			$search->setParam('defgroup', $group->get('id'));
		}
		
		// set page type
		$pagetype	= 'group';
		
		// add title 
		if ( is_object($group) ) {
			$this->app->adapter->setMetaData('title', $group->translate('name') );
		}

		echo $this->renderer->render('group', compact('objects', 'group', 'total', 'filters', 'pagination', 'pagetype', 'search'));
	}
}