<?php
/**
 * @package   bookzo
 * @author    Invenda  http://www.invenda.nl
 * @copyright Copyright (C) Invenda
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

/**
 * Base View class
 *
 * @package Framework.Classes
 */
class BzViewObject extends BView {
	
	public function display()
	{
		// start off by getting the object
		$object  = $this->get('Object');
		
		// do we have an object
		if ( !$object ) {
			throw new BViewException('Object not found', 404);
		}
		
		## NOTE - We should add title here for seo reasonss
		
		// set the tab widget to be available
		$tabs	= $this->app->widget->get('tabs');
		
		// set metadata
		$this->app->adapter->setMetaData('title', $object->translate('name') );
		$this->app->adapter->setMetaData('description', $object->getMetaDesc() );
		
		echo $this->renderer->render('object', compact('object', 'tabs'));
	}
}