<?php
/**
 * @package   bookzo
 * @author    Invenda  http://www.invenda.nl
 * @copyright Copyright (C) Invenda
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

/**
 * Base View class
 *
 * @package Framework.Classes
 */
class BzViewResults extends BView {
	
	public function display()
	{
		$state		= $this->get('State');
		$objects 	= $this->get('List');
		$total	 	= $this->get('Total');
		$pagination = $this->get('Pagination');
		
		$arrival	= $state->get('arrival');
		$departure  = $state->get('departure');

		// get the available widgets
		$filters 	= $this->app->widget->get('filters');
		$search		= $this->app->widget->get('search');
		
		// set search defaults
		$search->setParam('inline', 1);
		$search->setParam('direction', 'vertical');
		
		// set template stuff page type
		$pagetype	= 'results';

		echo $this->renderer->render('results', compact('objects', 'total', 'filters', 'pagination', 'arrival', 'departure', 'pagetype', 'search'));
	}
}