<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Bz data helper class.
 *
 * Helper for managing and retrieving paths
 * We can register paths.
 * When loading files we search paths top to bottom
 *
 * @subpackage 	framework.helpers
 * @since 		1.0.0
 */
class BzWidgetFavourite extends BWidget {
	
	/**
	 * Render the module
	 *
	 * @param 	none
	 * @return 	mixed 	the html
	 * @since 	1.0.0
	 */
	public function render()
	{
		// get favourite count
		$count 	 = $this->app->bookzo->favourites->getCount();
		$counter = '<span class="bz-favourite-count">'.$count.'</span>';
		
		// get url
		$url	 = $this->app->route->route('layout=favourites');
					
		// return the widget
		echo  $this->renderer->render('default', compact('url', 'counter'));	
	}
}