<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Bz data helper class.
 *
 * Helper for managing and retrieving paths
 * We can register paths.
 * When loading files we search paths top to bottom
 *
 * @subpackage 	framework.helpers
 * @since 		1.0.0
 */
class BzWidgetFeatures extends BWidget 
{
	public function render()
	{
		$params = $this->params;
		$id 	= (int) $params->get('id');
		
		// can we find this object
		## NOTE - do we need to throw error
		if ( !$id || !$object = $this->app->api->getObjects($id) ) {
			return false;
		}

		$groups			= $this->app->bookzo->features->getFeatureList($object->get('features'), true);
		$layout			= $params->get('layout', 'default') == 'vertical' ? 'vertical' : 'default';
		
		return $this->renderer->render($layout, compact('groups','params'));
	}
}