<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Bz data helper class.
 *
 * Helper for managing and retrieving paths
 * We can register paths.
 * When loading files we search paths top to bottom
 *
 * @subpackage 	framework.helpers
 * @since 		1.0.0
 */
class BzWidgetFilters extends BWidget 
{
	public function render()
	{		
		$objects 	  = $this->params->get('objects');
		$render		  = array();
		
		## NOTE - Do we need to set it again. model should have done it allready
		//$filters->bindObjects($this->app->adapter->sessionGet('bookzo.list', array()));
		
		## NOTE - Look for correct param
		$filtergroups = $this->app->bookzo->filters->getPossibleFilters( $this->app->config->get('general.showemptyfilters', 0) );
		
		// remove empty groups		
		if ( !count($filtergroups) ) {
			return '';
		}
		
		// define the url
		$layout		= $this->app->input->get('layout', 'group');
		$url		= 'layout=' . $layout;

		if ( $layout == 'group' ) {
			if ( (int) ($group = $this->app->input->get('id')) ) {
				$url	.= '&id='. $group;
			}
		}
		
		$url			= $this->app->adapter->route($url);
		$task			= $layout.'.filter';
				
		return $this->renderer->render('default', compact('filtergroups', 'url', 'task'));
	}
}