<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Bz data helper class.
 *
 * Helper for managing and retrieving paths
 * We can register paths.
 * When loading files we search paths top to bottom
 *
 * @subpackage 	framework.helpers
 * @since 		1.0.0
 */
## NOTE - Dit is enkel een eerste opzet
class BzWidgetGallery extends BWidget {

	protected $images 	 	= array();
	
	protected $navigations 	= array();
	
	/**
	 * Render the module
	 *
	 * @param 	none
	 * @return 	mixed 	the html
	 * @since 	1.0.0
	 */
	public function render()
	{
		// anything to render
		if ( !count($this->images) ) {
			return false;
		}
		
		// add javascript
		$layout = $this->params->get('layout', 'default');
			
		if ( $layout == 'slider' ) {
			$this->app->adapter->addScript('assets:js/slider.js');
		}
		else {
			$this->app->adapter->addScript('assets:js/slideshow.js');
			$this->app->adapter->addScript('assets:js/slideshow-fx.js');
		}
		
		// for medium we use slideset
		if ( $layout == 'slideset' && $this->params->get('thumbnails', 1) ) {
			$this->app->adapter->addScript('assets:js/slideset.js');
		}
		
		// do we use lightbox to?
		if ( $this->params->get('lightbox', 0) ) {
			$this->app->adapter->addScript('assets:js/lightbox.js');
		}
		
		// set stuff for the template
		$images			= $this->images;
		$identifier		= $this->identifier;
		$navigations	= $this->navigations;
		$params			= $this->params;
		
		if ( ($max = $this->params->get('max', 0)) && $max < count($images) ) {
			$images = array_slice($images, 0, $max);
			$navigations = array_slice($navigations, 0, $max);
		}
						
		// render the widget
		return  $this->renderer->render($layout, compact('images', 'navigations', 'identifier','params'));
	}
	
	public function addImage($image, $thumbnail, $title = '', $lightbox = null)
	{
		if ( strlen(trim($image)) )
		{
			$img			= new stdClass();
			$img->src 		= $image;
			$img->title 	= strlen($title) ? $title : 'image-'.(count($this->images) + 1);
			$img->lightbox  = $lightbox ? $lightbox : false;
			
			$this->images[]	= $img;
			
			$thumb			= '';
			if ( strlen(trim($thumbnail)) ) 
			{
				$thumb = '<img src="'.$thumbnail.'" />';
			}
			
			$this->navigations[] = $thumb;
		}
		
		return $this;
	}
}