<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Bz data helper class.
 *
 * Helper for managing and retrieving paths
 * We can register paths.
 * When loading files we search paths top to bottom
 *
 * @subpackage 	framework.helpers
 * @since 		1.0.0
 */
class BzWidgetObjects extends BWidget 
{
	public function render()
	{		
		$group		= (int) $this->params->get('group');
		$objectids	= (array) $this->params->get('objects');
		$count		= (int) $this->params->get('count', 	3);
		$rowcount	= (int) $this->params->get('rowcount', 	3);
		$layout 	= $this->params->get('layout', 'default');
		
		$count  	= $count ?: 3;
		$rowcount  	= $rowcount ?: 3;
		
		if ( count($objectids) ) {
			$this->app->array->toInteger($objectids);
			$results = $this->app->api->getObjects($objectids);
		}
		else {
			$results = $this->app->api->getObjectsByGroup($group);
		}

		$objects = array();
		foreach ( $results as $result ) {
			if ( $result->hasImages() ) {
				$objects[] = $result;
			}
		}
		
		shuffle($objects);
		$objects = array_slice($objects, 0, $count);
			
		return $this->renderer->render($layout, compact('objects', 'count', 'rowcount'));
	}
}