<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Bz data helper class.
 *
 * Helper for managing and retrieving paths
 * We can register paths.
 * When loading files we search paths top to bottom
 *
 * @subpackage 	framework.helpers
 * @since 		1.0.0
 */
class BzWidgetSearch extends BWidget {

	protected $values;
	
	protected $from;
	
	protected $until;
	
	/**
	 * Class constructor
	 *
	 * @param App $app A reference to an App Object
	 */
	public function __construct() 
	{
		parent::__construct();
	}
	
	/**
	 * Render the module
	 *
	 * @param 	none
	 * @return 	mixed 	the html
	 * @since 	1.0.0
	 */
	## NOTE - Looks a lot like ajaxrenderer
	## NOTE - We should use getuserstate
	public function render()
	{
		$this->app->adapter->addScript('assets:js/bookzo.js');
		
		
		
		

return $this->searchdates();

		//if ( $this->params->get('layout') == 'tabs' ) {
			
			$pagetype = $this->app->adapter->sessionGet('bookzo.pagetype', 'search');
						
			$tabs = array();
			$tabs['dates'] 	= $this->searchdates(true);
			$tabs['object'] = $this->searchobject(true);
			
			$tabs = $this->app->widget->tabs;
			$tabs->addTab('Zoek en boek', $this->searchdates(true), false, $pagetype == 'search');
			$tabs->addTab('Op accommodatie', $this->searchobject(true), false, $pagetype == 'object');
			
			echo $tabs->render('bz-search-widget');
			return;
		//}
		
		
		
		
		
		
		if ( $this->params->get('layout') == 'object' ) {
			return $this->searchobject();
		}
		
		return $this->searchdates();			
	}
	
	public function searchdates($return = false)
	{		
		// basic stuff
		$params		= $this->params;
		$fields		= array();
		$url 		= $this->app->adapter->route('layout=results');	
			
			
			
				
		# NOTE - this also could be put inside the construct
		// values from session
		$values = $this->app->adapter->sessionGet('bookzo.search.options'); 
		$this->values  = new BRegistry();
		$this->values->loadArray( (array) $values );

		// default month
		$month		= $this->app->date->create()->format('Y-m');

		// get groups
		if ( $params->get('usegroup', 1) && !$params->get('defgroup', 0) ) {
			$groups 			= $this->getGroups();
			$group				= $this->getFirst($groups, $this->app->input->getInt('group', $this->values->get('group')) );
			$fields['group']	= $this->app->html->select->genericlist('group', $groups, $group, 'data-bz-search');	
		}
		else {
			$group 		= $params->get('defgroup', 0);
		}
		
		// persons
		$persons			= $this->getPersons();
		$person				= $this->getFirst($persons, $this->app->input->getInt('persons', $this->values->get('persons', 2)) );
		$fields['persons']	= $this->app->html->select->genericlist('persons', $persons, $person, 'data-bz-search');
	
		// pets
		if ( $params->get('usepets', 1) ) {
			$pets	 			= $this->getPets();
			$pet				= $this->getFirst($pets, $this->app->input->getInt('pets', $this->values->get('pets')) );
			$fields['pet']		= $this->app->html->select->genericlist('pets', $pets, $pet, 'data-bz-search');
		}
		else {
			$pet		 		= 0;
		}
	
		
		// get months
		$months 			= $this->getMonths($group, $person, $pet);
		$month				= $this->getFirst($months, $this->app->input->getCmd('month', $this->values->get('month', $month)) );
		$month				= $this->app->date->create($month)->format('Y-m');
		$fields['month']	= $this->app->html->select->genericlist('month', $months, $month, 'data-bz-search');
		
		// define start end
		$start 		= $month . '-01';
		$end   		= $this->app->date->create($start)->format('Y-m-t');
		
		// get durationtypes
		if ( $params->get('usedefinitions', 1) ) {
			$durations  		= $this->getDurationTypes($start, $end, $group, $person, $pet);
			$duration			= $this->getFirst($durations, $this->app->input->getInt('duration', $this->values->get('duration')) );
			$fields['duration']	= $this->app->html->select->genericlist('duration', $durations, $duration, 'data-bz-search');
		}
		else {
			$duration = 0;
		}
		
		// get list of arrivals
		$arrivals			= $this->getArrivals($start, $end, $duration, $group, $person, $pet);
		$arrival			= $this->getFirst($arrivals, $this->app->input->getCmd('arrival', $this->values->get('arrival')) );
		$fields['arrival']	= $this->app->html->select->genericlist('arrival', $arrivals, $arrival, 'data-bz-search');
		
		if ( !$params->get('usedefinitions', 1) ) {
			$departures  			= $this->getDepartures($arrival, $start, $end, $duration, $group, $person, $pet);
			$defdeparture 			= null;		
			if ( ($mindays = $this->params->get('mindays', 0)) && isset($departures[$mindays]) ) {
				$defdeparture = $departures[$mindays]->value;
			}
			$departure				= $this->getFirst($departures, $this->app->input->getCmd('departure', $this->values->get('departure', $defdeparture)) );
			$fields['departure']	= $this->app->html->select->genericlist('departure', $departures, $departure);
		}
				
				
		// return the widget
		## NOTE - Look into the params layout
		$return = $this->renderer->render($this->params->get('layout', 'default'), compact('fields', 'url', 'params'));	
					
		if ( !$return ) {
			echo $return;
		}	
		
		return $return;
	}
	
	public function searchobject( $return = false )
	{				
		$fields	= array();
		$params	= $this->params;
		$url 	= $this->app->route->route('layout=object');
		
		# NOTE - this also could be put inside the construct
		// values from session
		$values = $this->app->adapter->sessionGet('bookzo.search.options'); 
		$this->values  = new BRegistry();
		$this->values->loadArray( (array) $values );			
							
		// get groups
		if ( $params->get('usegroup', 1) && !$params->get('defgroup', 0) ) {
			$groups 			= $this->getGroups();
			$group				= $this->getFirst($groups, $this->app->input->getInt('group', $this->values->get('group')) );
			$fields['group']	= $this->app->html->select->genericlist('group', $groups, $group, 'data-bz-searchobject');
		}
		else {
			$group 		= $params->get('defgroup', 0);
		}
		
		// get objects
		$objects 			= $this->getObjects($group);
		$object				= $this->getFirst($objects, $this->app->input->getCmd('object', $this->values->get('object')) );
		$fields['object']	= $this->app->html->select->genericlist('object', $objects, $object );
						
		// return the widget
		$return = $this->renderer->render('object', compact('fields', 'url', 'params'));
		
		if ( !$return ) {
			echo $return;
		}
		
		return $return;	
	}
	
	/**
	 * Fetch the data for the ajax return
	 *
	 * @param 	none
	 * @return 	mixed 	the json list
	 * @since 	1.0.0
	 */
	public function ajaxGetData()
	{
		$return 	= array();
		
		// get data searched
		$caller		= $this->app->input->getCmd('caller');
		$group 		= $this->app->input->getInt('group', 	0);
		$persons	= $this->app->input->getInt('persons', 	2);
		$pets		= $this->app->input->getInt('pets', 	0);
		$duration 	= $this->app->input->getCmd('duration', 0);
		$month		= $this->app->input->getCmd('month');
		$arrival	= $this->app->input->getCmd('arrival');		
		$month		= $this->app->date->create($month)->format('Y-m');
		
		// get new month list if group or persons have changed
		if ( $caller == 'group' || $caller == 'persons' ) 
		{
			$return['month'] = $this->getMonths($group, $persons, $pets);
			$month	= $this->getFirst($return['month'], $month);
		}
		
		// we know the month get start end
		$start 		= $month . '-01';
		$end   		= $this->app->date->create($start)->format('Y-m-t');
		
		// do we need new period
		if ( $this->params->get('usedefinitions', 1) && $caller != 'duration' ) 
		{
			$return['duration'] = $this->getDurationTypes($start, $end, $group, $persons, $pets);
			$duration = $this->getFirst($return['duration'], $duration);
		}
		
		// finally get the arrivals
		if ( $caller != 'arrival' ) {
			$return['arrival']	= $this->getArrivals($start, $end, $duration, $group, $persons, $pets);
		}
		
		if ( !$this->params->get('usedefinitions', 1) ) {		
			$arrival			 = $caller == 'arrival' ? $arrival : $this->getFirst($return['arrival'], $arrival);
			$return['departure'] = $this->getDepartures($arrival, $start, $end, $duration, $group, $persons, $pets);
			
			$defdeparture 			= null;		
			if ( ($mindays = $this->params->get('mindays', 0)) && isset($return['departure'][$mindays]) ) {
				$return['defdeparture'] = $return['departure'][$mindays]->value;
			}
		}

		// return
		return $return;
	}
	
	public function ajaxGetObject()
	{		
		$return 	= array();
		
		// get data searched
		$caller		= $this->app->input->getCmd('caller');
		$group 		= $this->app->input->getInt('group');
			
		// finally get the arrivals
		$return['object']	= $this->getObjects($group);

		// return
		return $return;
	}
	
	/**
	 * Fetch all availble groups
	 *
	 * @param 	none
	 * @return 	array 	a list of select options
	 * @since 	1.0.0
	 */
	public function getGroups()
	{
		// get groups from api
		$groups	   	= $this->app->api->getGroups();
		$options	= array();
		
		// do we need to sort first
		$sorting = $this->params->get('sorting');
		$sorting = explode(',', $sorting);
		
		if ( count($sorting) ) 
		{
			$sorted = array();
		
			foreach ( $sorting as $id ) 
			{
				$id = (int) $id;
				if ( isset($groups[$id]) ) {
					$sorted[$id] = $groups[$id];
					unset($groups[$id]);
				}
			}
			
			$groups = array_merge($sorted, $groups);
		}

		// loop groups adding them to the list
		foreach ( $groups as $group )
		{
			$options[] = $this->app->html->select->option($group->get('id'), $group->translate('name'));
		}
				
		// return a list merged with a default option
		return array_merge(array($this->app->html->select->option('', BText::_('WIDGET_SEARCH_OPTION_SELECT_GROUP'))), $options);
	}
	
	/**
	 * Fetch all availble groups
	 *
	 * @param 	none
	 * @return 	array 	a list of select options
	 * @since 	1.0.0
	 */
	public function getObjects( $group = 0 )
	{
		$defoption 	= $this->app->html->select->option('', BText::_('WIDGET_SEARCH_OPTION_SELECT_OBJECT'));
		$objects   	= $this->app->api->getObjectsByGroup($group);
		$options	= array();
		
		foreach ( $objects as $object )
		{
			$options[] = $this->app->html->select->option($object->get('id'), $object->translate('name'));
		}
		
		return array_merge(array($defoption), $options);
	}
	
	/**
	 * Fetch all available months
	 *
	 * @param 	none
	 * @return 	array 	a list of select options
	 * @since 	1.0.0
	 */
	public function getMonths($groupid = 0, $persons = 0, $pets = 0 )
	{		
		// get available months from api
		$return 	= array();
		$available 	= $this->app->api->getAvailableMonths( $groupid, $persons );	
		
		// did we find any
		if ( count($available) ) 
		{	
			// loop results and add them to the list
			foreach ( $available as $month ) 
			{
				$date	  = $this->app->date->create($month);
				$return[] = $this->app->html->select->option($date->format('Y-m'), $date->format(BText::_('DATE_FORMAT_MONTH_YEAR')));
			}
		}
		else {
			$return[] = $this->app->html->select->option('', '--');
		}
		
		return $return;
	}
	
	/**
	 * Fetch all available months
	 *
	 * @param 	none
	 * @return 	array 	a list of select options
	 * @since 	1.0.0
	 */
	public function getPersons()
	{
		// get objects first
		$objects 	= $this->app->api->getObjects();
		$min		= false;
		$max		= 1;		
		
		$return 	= array();
		
		// loop objects finding min and max persons
		foreach ( $objects as $object )
		{
			$objectmax = (int) $object->get('numberofbeds');
			$objectmin = (int) $object->get('minguestcount');
			
			if ( $objectmax && $objectmax > $max ) {
				$max = $objectmax;
			}
			
			if ( $objectmin && ($objectmin < $min || !$min) ) {
				$min = $objectmin;
			}
		}
		
		$min = $min ?: 1;
		
		// build list accordingly to info found
		for ( $i = $min; $i <= $max; $i++ ) {
			$return[] = $this->app->html->select->option( $i, BText::plural('WIDGET_SEARCH_OPTION_PERSONS', $i) );
		}
				
		return $return;
	}
	
	/**
	 * Fetch all available months
	 *
	 * @param 	none
	 * @return 	array 	a list of select options
	 * @since 	1.0.0
	 */
	public function getPets()
	{
		$objects 	= $this->app->api->getObjects();
		$min		= 0;
		$max		= 0;		
		
		$return 	= array();
		
		foreach ( $objects as $object )
		{
			$pets = $object->get('pets');

			if ( $pets && $pets > $max ) {
				$max = $pets;
			}
		}
		
		for ( $i = $min; $i <= $max; $i++ ) {
			$return[] = $this->app->html->select->option( $i, BText::plural('WIDGET_SEARCH_OPTION_PETS', $i) );
		}
				
		return $return;
	}
	
	/**
	 * Fetch all available arrival dates
	 *
	 * @param 	none
	 * @return 	array 	a list of select options
	 * @since 	1.0.0
	 */
	public function getArrivals($start, $end, $type = 0, $group = 0, $persons = 0, $pets = 0)
	{
		// get arrivals from api
		$return		= array();
		$arrivals	= $this->app->api->getArrivals($start, $end, $type, $group, $persons, $pets);
		
		// did we find any	
		if ( count($arrivals) ) 
		{
			// loop results and add them to the list
			foreach ( $arrivals as $arrival )
			{
				$date 	  = $this->app->date->create($arrival);
				$return[] = $this->app->html->select->option($date->format('Y-m-d'), $date->format('DATE_FORMAT_DAY'));
			}
		}
		else {
			// no result return default
			$return[] = $this->app->html->select->option('', '--');
		}
		
		return $return;
	}
	
	/**
	 * Fetch all available arrival dates
	 *
	 * @param 	none
	 * @return 	array 	a list of select options
	 * @since 	1.0.0
	 */
	public function getDepartures($arrival, $start, $end, $type = 0, $group = 0, $persons = 0, $pets = 0)
	{		
		// get departures from api
		$return		= array();
		$departures	= $this->app->api->getDepartures($arrival, $group, $persons, $pets);	

		// did we find any			
		if ( count($departures) ) 
		{
			// loop results and add them to the list
			foreach ( $departures as $departure )
			{
				$date 	  		= $this->app->date->create($departure);
				$days	  		= $this->app->date->diff($arrival, $departure);
				$return[$days] 	= $this->app->html->select->option($date->format('Y-m-d'), $date->format('DATE_FORMAT_DAY'));
			}
		}
		else {
			// no result return default
			$return[] = $this->app->html->select->option('', '--');
		}
		
		return $return;
	}
	
	/**
	 * Fetch all available arrival dates
	 *
	 * @param 	none
	 * @return 	array 	a list of select options
	 * @since 	1.0.0
	 */
	public function getDurationTypes($from, $until, $group = 0, $persons = 0, $pets = 0)
	{
		// get bookable periods for selected month
		$bookables  = $this->app->api->getBookablePeriods( compact('from','until','group','persons','pets') );
		$ids 		= array();
		$types		= array();
		
		foreach ( $bookables as $bookable ) {
			foreach ( $bookable->departures as $departure ) {
				$ids[] = $departure->priceid;
			}
		}
		
		array_unique($ids);
		
		// do we have some ids if so get types
		if ( count($ids) ) {
			$types = $this->app->api->getPriceDefinitions($ids);
		}
				
		// did we find types	
		if ( count($types) ) {
		
			$tmp = array();
			
			// loop each and merge by same name
			foreach ( $types as $type )
			{
				$identifier	= strtolower(str_replace(' ', '', $type->get('name'))) . '-' .$type->get('numberofnights');
				
				if ( !array_key_exists($identifier, $tmp) ) {
					$tmp[$identifier] = new stdClass();
					$tmp[$identifier]->ids  = array();
					$tmp[$identifier]->name = $type->translate('name');
				}
				
				$tmp[$identifier]->ids[] = $type->get('id');
			}
			
			foreach ( $tmp as $k => $v )
			{
				$return[] = $this->app->html->select->option(implode('-', $v->ids), $v->name);
			}
		}
		else {
			// no result return default
			$return[] = $this->app->html->select->option('', '--');
		}
		
		return $return;	
	}
	
	public function getFirst($array, $def = null, $key = 'value')
	{
		$return = null;
		
		if ( !is_null($def) ) {
			foreach ( $array as $v )
			{
				if ( isset($v->$key) && $v->$key == $def ) {
					$return = $def;
					break;
				}
			}
		}
		
		if ( is_null($return) ) {

			$first = reset($array);
			
			if ( isset($first->$key) ) {
				$return = $first->$key;
			}
		}
		
		return $return;
	}
}