<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Bz data helper class.
 *
 * Helper for managing and retrieving paths
 * We can register paths.
 * When loading files we search paths top to bottom
 *
 * @subpackage 	framework.helpers
 * @since 		1.0.0
 */
## NOTE - Dit is enkel een eerste opzet
class BzWidgetSlideshow extends BWidget {

	protected $slides = array();
	
	protected $active = 0;
	
	/**
	 * Render the module
	 *
	 * @param 	none
	 * @return 	mixed 	the html
	 * @since 	1.0.0
	 */
	public function render()
	{
		$this->app->adapter->addScript('assets:js/slideshow.js');
		$this->app->adapter->addScript('assets:js/slideshow-fx.js');
		
		$slides = $this->slides;
		$active = $this->active;

		// return the widget
		return  $this->renderer->render('default', compact('slides','active'));	
	}
	
	public function addSlide($html, $active = false)
	{
		if ( strlen($html) )
		{
			if ( $active ) {
				$this->active = count($this->slides);
			}
			
			$this->slides[] = $html;
		}
		
		return $this;
	}
}