<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Bz data helper class.
 *
 * Helper for managing and retrieving paths
 * We can register paths.
 * When loading files we search paths top to bottom
 *
 * @subpackage 	framework.helpers
 * @since 		1.0.0
 */
## NOTE - Dit is enkel een eerste opzet
class BzWidgetTabs extends BWidget {

	protected $tabs = array();
	
	protected $active = 0;
	
	/**
	 * Render the module
	 *
	 * @param 	none
	 * @return 	mixed 	the html
	 * @since 	1.0.0
	 */
	public function render($class = '')
	{
		// anything to render
		if ( !count($this->tabs) ) {
			return false;
		}
		
		// set stuff for the template
		$tabs		= $this->tabs;
		$identifier	= $this->identifier;
		$active		= $this->active;

		// render the widget
		return  $this->renderer->render('default', compact('tabs', 'identifier', 'active', 'class'));
	}
	
	public function addTab($title, $html, $translate = false, $active = false, $id = '')
	{
		if ( strlen(trim($html)) )
		{
			$tab		= new stdClass();
			$tab->title = (bool) $translate ? BText::_($title) : $title;
			$tab->html 	= $html;
			$tab->id	= $id;
			
			$this->tabs[] = $tab;
			
			if ( (bool) $active ) {
				$this->active = count($this->tabs) - 1;
			}
		}
		
		return $this;
	}
}